Copyright: ® FTP Software, Inc. 1997. All rights reserved.
Citation: ® Copyright FTP Software, Inc. 1997. All rights reserved.


Configure Help Contents

Introducing Configure

Step-by-Step Instructions

Concepts

Getting Technical Assistance


Introducing Configure?
Introducing Configure

What is Configure?

Commands

Toolbar Icons


Using the Configuration Program
Using the Configure Program

Configure lets you set configuration parameters for the FTP Software kernel and programs. The parameters that you set are stored in the configuration file (by default, PCTCP.INI, in the directory where you installed OnNet16).

You can choose to view and edit parameters in Basic or Advanced mode. Basic mode displays only the parameters needed to provide basic functionality for the applications that you installed. Advanced mode displays all possible parameters for your computer and identifies which of those parameters are currently in use.

If you are experienced with OnNet16 configuration, you can also use Configure to make changes to the kernel running on your computer and to edit any PCTCP.INI file parameter.

The following defines the Configure commands available on the Menu bar.

Use this menu:	To:

File	Open and save configuration files, select a Backup option, and exit from the Configure program.

Commands	Configure the running (active) kernel on your computer or configure any parameter from one place (provided you know the parameter group and name). This menu appears in Advanced mode only.

Settings	Choose Basic or Advanced mode or, in Windows, display the toolbar.

Help	View parameter descriptions and learn how to use Configure. You can also use the Help button in each Configure dialog box to obtain applicable online help.

To enable or disable the Configure toolbar

On the Settings menu, choose Display Toolbar. By default, Configure displays the toolbar.

For more information

Refer to the following topics for more information about how to use Configure:

Choose Basic or Advanced Configuration

Display the Toolbar

Open and Save Configuration Files

Select Advanced Options (Running Kernel / Any Parameter)

Select and Configure Parameters

Use the Keyboard

For detailed information about PCTCP.INI configuration file sections and the specific parameters that apply to each section, visit the FTP Software home page on the World Wide Web at http://www.ftp.com/. Look under Technical Support for the Configuration Parameters Reference documentation.


What is Configure?

Configure lets you configure the FTP Software kernel and some FTP Software programs. It lets you change information that you entered when you installed the program, such as your username; the Internet (IP) address of your PC, routers, and name servers; or your time zone. It also lets you specify information to fine-tune kernel or InterDrive performance.

When you configure this new information, you generally set configuration parameters that are stored in the PCTCP.INI file. When you start an application, including the kernel itself, the program can obtain information from this configuration file. Configure lets you edit any parameter in the PCTCP.INI file, and save them.

If you are experienced with OnNet16 configuration, you can also use Configure to make changes to the kernel running on your computer and to edit any PCTCP.INI file parameter.

You can choose to view and edit parameters in Basic or Advanced mode. Basic mode displays only the parameters needed to provide basic functionality for the applications that you installed. Advanced mode displays all possible parameters for your computer and identifies which of those parameters are currently in use.

You can instead (or also) configure the running kernel to fine-tune the performance of the kernel or InterDrive after you start them, if you first set Configure to run in Advanced Mode.

You can display (or hide) the Configure toolbar.

Related Topics

Refer to the following topics for more information about how to use Configure:

Choose Basic or Advanced Configuration

Display the Toolbar

Open and Save Configuration Files

Select Advanced Options (Running Kernel / Any Parameter)

Select and Configure Parameters

Step-by-Step Instructions

Use the Keyboard


Toolbar Icons

Use the toolbar to quickly switch between Basic and Advanced mode and to exit from the program. To view the title of the tool, suspend the mouse cursor on the icon for a moment.

Basic Configuration: Sets Configure in Basic mode (the default) allowing you to configure a minimal set of parameters necessary to run OnNet16 and the installed applications.

Advanced Configuration: Sets Configure in Advanced mode, allowing you to configure any OnNet16 parameter.

Exit from Configure.


 Step-by-Step Instructions

Using Configure

Change the Network Interface

Choose Basic or Advanced Configuration

Enable or Disable the Toolbar

Open and Save Configuration Files

Select Advanced Options (Running Kernel and Any Parameter)

Use the Keyboard

Configuring Network Information

General information such as your username, a password file, and the Work (etc) directory.

The IP address of your computer and of remote servers; LWPE for Novell NetWare/IP interoperability.

The hostname and Internet domain of your computer and the IP address of Domain Name System (DNS) and NIS (Network Information System) servers.

The network interface to use (generally either the LAN or serial configuration) and the file name and path of your host table.

Configuring Program Information

InterDrive configuration and performance tuning.

DOS Electronic mail and news reader servers and your username for those servers.

DOS Terminal emulation preferences.

File transfer preferences.

Printing and print server preferences.

The remote host and file, and your username on the remote host, to archive files.

Configuring Advanced Network Information

Additional Kernel Parameters

Interface Parameters

Additional Interface Parameters

Kernel Fine Tuning Parameters

IP Security Parameters

DHCP and Bootp Parameters

SOCKS Security

Additional SOCKS Security

Kerberos Parameters

NetBIOS Parameters

Additional NetBIOS Parameters

Serial configuration


Concepts

Special Keys

PCTCP.INI FILE


Special Keys

Instead of using the mouse, you can use the keyboard to select menus, menu options, buttons, and boxes.

To do this	Press

Accept information and continue	ENTER (or RETURN) key.

Select a button	ALT + the underlined letter in the button name.

Move to a field	ALT + the underlined letter in the field label.

Move through screen fields	TAB key. (SHIFT + TAB to move in reverse direction.)

Scroll through items in a list	Arrow key (up or down).

Toggle between radio buttons	Arrow key (up or down).

Toggle a check box	Space bar.

Expand a list box	ALT + arrow key (up or down).


Commands

File Menu Commands

Commands Menu Commands(Advanced Mode Only)

Settings Menu Commands

Help Menu Commands


File Menu Commands

Use File Menu commands to open and save configuration files, select a Backup option, and exit from the Configure program.

Use this command	To do this

New	Create a new configuration file.

Open	Open an existing configuration file.

Save	Save the current configuration information.

Save As	Save the configuration information under a new filename.

Backup	Set the number of backup files that Configure creates.

Exit	End the configuration program.


Commands Menu Commands

Use the Commands menu to configure the running (active) kernel on your computer or configure any parameter from one place. This menu appears in Advanced mode only.

Use this command	To do this

Running Kernel	To configure parameters that affect the current instance of the kernel. When you restart your computer (or Windows), these changes are lost.

Any Parameter	To configure all possible parameters for your computer, provided you know the parameter group and name, and determine which of those parameters are currently in use.


Settings Menu Commands

Use the Settings menu to choose Basic or Advanced mode or to display the toolbar.


Help Menu Commands

Use the Help menu to view parameter descriptions and learn how to use Configure. You can also use the Help button in each Configure dialog box to obtain applicable online help.


  PCTCP.INI File

The PCTCP.INI file contains all of the configuration information for OnNet16. It is generally kept in the directory where you installed the software.


Configure

To set values and specify labels that software uses to set up and run correctly. These values and labels are generally stored in a configuration file. The following is a sample section of a configuration file:

[Header]

first item=my_item

 	second item=my_item_too

A bracketed header introduces each section of the configuration file. One or more entries or parameters follow. Configuration consists of changing the information to the right of the equal sign (=). The information to the left does not change.


Enable or Disable the Toolbar
Enable or Disable the Configure Toolbar

Use the toolbar to quickly switch between Basic and Advanced configuration modes and exit from the program. By default, Configure displays the toolbar.

To enable or disable the Configure toolbar

On the Settings menu, choose Display Toolbar.


Change the Network Interface

If you define more than one network interface (for example, for two different network cards) for your computer using the installation program, you can use Configure to switch between those interfaces. The installation program allows you to define multiple network interfaces, but configures your computer for use with only one interface.

Note: You must load the appropriate driver for that interface and reload the kernel for your new interface settings to take effect. However, to switch from a LAN connection to a SLIP or PPP connection, simply start the Windows Dialer; close the Dialer to switch back to the LAN.

To change your network interface

1.	With Configure in Basic mode, in the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel Basic dialog box, select an interface and choose Update.

3.	In the edit boxes, enter or edit the IP address or subnet mask.

--or--

In the router edit box, type the IP address of a router and choose Add.

--or--

In the router edit box, select a router and choose Remove.

4.	Choose OK when you have finished making your changes.

5.	Exit from Configure and Windows, unload and reload the kernel, and restart Windows for your changes to take effect.

Related Topics

Configuring a New Interface

Removing an Interface Configuration


Choose Basic or Advanced Configuration

Before you begin modifying your configuration, choose the configuration mode that matches your familiarity with network software and your intended use.

By default, Configure starts in Basic mode. Basic mode displays only the parameters needed to provide basic functionality for the FTP Software programs that you installed. Basic mode also displays the default value (if any) for each Basic parameter; these values are used for the appropriate parameters unless you change the default.

Advanced mode displays all possible OnNet16 parameters for your computer and identifies which of those parameters are currently in use. If the Present box is checked, this means that the parameter is currently contained in your configuration file. If you click on the Present box, Configure displays the default value for that new parameter (if any). Advanced mode also lets you use the Commands menu, on which you can select Configure the Active Kernel to configure temporary values for the running kernel, or Any Parameter to edit a single parameter.

To select the parameter mode

On the toolbar, choose the Basic or Advanced icon.
--or--
On the Settings menu, choose Basic or Advanced.


Select and Configure Parameters

Configure displays groups of parameters according to program types and tasks. You can review or configure these parameters by choosing the appropriate group or task.

To select a parameter

1.	In the Configure main dialog box, select the parameter group that you want to configure, then choose Modify.
--or--
Double-click on that parameter group.

2.	If there are subgroups for that parameter group, select the appropriate subgroup and choose Modify.

3.	Enter or revise the values for the parameters in that group, then choose OK.

Regardless of your configuration mode, the parameters shown in first-level dialog boxes provide basic functionality for that program or or parameter group. You can also choose to view additional parameters for that program or group.

To enter or revise a parameter

1.	Use your mouse or keyboard to set new values for the parameters that you want to configure. Choose Help for descriptions of the parameters displayed in that dialog box.

2.	To accept the displayed values and return to the Configure main dialog box, choose OK.
--or--
To return to the Configure main dialog box without making changes, choose Cancel.

To configure more settings for that program group

Choose the Additional button.

Note that the format for the Additional dialog boxes is sometimes different than the first-level dialog boxes. In this type of dialog box, you select parameter names in the list box at the top and configure that parameter in the box at the bottom of the dialog box.

To view the current setting for an additional parameter

1.	Select the parameter name in the list box.

If the Present box is checked, this means that the parameter is currently contained in your configuration file and the value for that parameter is shown.

2.	Edit the parameter values.

3.	To accept the displayed or revised values and return to the Configure main dialog box, choose OK.

--or--

To return to the Configure main dialog box without making changes, choose Cancel.

To get help for a parameter

Choose the Help button.

Select a parameter from the list to view a description of the parameter.


Open and Save Configuration Files

The name of your current configuration file is listed in the Configure title bar; this name represents the directory and filename where your OnNet16 configuration file is stored. By default, Configure opens the PCTCP.INI file located in the directory where you installed OnNet16.

You can also use the File menu to create, open, and save other versions of the configuration file, but you can only use one file at a time. The file in use is determined by the PCTCP environment variable, a pointer in your AUTOEXEC.BAT startup file.

To save changes to your configuration file

On the File menu, choose Save or Save As. If you choose Save As, Configure updates the filename in its title bar.
--or--
Choose Yes when Configure prompts you to save your changes.

To use your revised configuration

1.	Exit from the Configure program by choosing Exit on the toolbar or the File menu.

2.	Exit from Windows, unload and reload the kernel, and restart Windows.

To create a new configuration file

1.	On the File menu, choose New.
--or--
When you have a configuration file open, on the File menu, choose Save As.

2.	When prompted, specify the drive, directory, and filename for the configuration file.

Typically, you will not need to create a new configuration file. This option is useful for network administrators who need to create multiple configuration files for users at their site.

To create a backup of your previous configuration file

1.	On the File menu, choose Backup.

2.	On the Backup drop-down menu, choose None, One (the default), or Continuous.

By default, Configure updates (backs up) your configuration file each time that you save your changes. This means that the configuration that you had before you made changes is stored in a file with a .BAK extension (for example, PCTCP.BAK). If you exit from Configure without saving your changes, Configure does not create a backup file.

You can also choose Continuous, which creates sequential backup files each time that you save your configuration file. For example, if your configuration file is the default PCTCP.INI and Continuous is enabled, Configure creates PCTCP.001, PCTCP.002, PCTCP.003 and so on each time you save your changes before exiting. These backup files are stored in the same directory as the configuration file; you can manually delete these files when you no longer need them.


Select Advanced Options (Running Kernel and Any Parameter)
Select Advanced Options (Running Kernel / Any Parameter)

In Advanced mode, you can choose to configure the running (active) kernel or edit a specific PCTCP.INI (or other configuration file) parameter. These options are recommended only for experienced users.

Configuring the Running Kernel

Configure lets you make changes to the kernel while it is still running on your computer. This means that your changes to these parameters take effect immediately, and you do not need to unload and reload the kernel (by restarting your computer or manually unloading the kernel).

Note that the changes that you make to the running kernel are also changed in your active configuration session. If you also want these changes made to your configuration file, save that file or choose Yes when Configure prompts you to save changes before exiting.

To make changes to active kernel parameters

1.	On the Commands menu, choose Running Kernel.

2.	In the Configure Active Kernel Parameters dialog box, type or set new values for the kernel parameters that you want to configure.

For descriptions of the parameters displayed in that dialog box, choose Help.
To configure additional active kernel parameters, choose More.

3.	To accept the displayed values and return to the main menu, choose OK.
--or--
To return to the main menu without making changes, choose Cancel.

Configuring Any Parameter

You can also use Advanced mode to configure a parameter using the Any Parameter option. This option is useful when you know exactly which parameter you want to configure and the program group to which that parameter belongs. Network administrators can also use this option to create specialized parameters for their end users.

Before you use this option, you should be familiar with the contents of the PCTCP.INI configuration file. To specify the parameter that you want to configure, you need to know the PCTCP.INI section, subsection (if any), and parameter name in the format that the parameter appears in the PCTCP.INI file.

For detailed information about PCTCP.INI configuration file sections and the specific parameters that apply to each section, visit the FTP Software home page on the World Wide Web at http://www.ftp.com/. Look under Technical Support for the Configuration Parameters Reference documentation.

When you edit parameters using Any Parameter, Configure displays your settings in the appropriate configuration dialog box. Configure saves your changes to the active configuration file when you save that file.

To configure any parameter

1.	On the Commands menu, choose Any Parameter.

2.	In the Configure Any Parameter dialog box, enter the PCTCP.INI file section, subsection (if any), parameter name, and value in the PCTCP.INI file format.

3.	To accept the displayed values and return to the main dialog box, choose OK.
--or--
To return to the main dialog box without making changes, choose Cancel.

Related Topics

Configuring the Running Kernel

Configuring Any Parameter


Configure Any Parameter

If you know the name of a parameter and the names of the section and subsection to which it belongs, you can edit any existing OnNet16 parameter or add a parameter for your network environment, even if it is not listed in the Configure parameter groups.

To configure any parameter

1.	On the Toolbar or the Settings menu, choose Advanced.

2.	On the Commands menu, choose Any Parameter.

3.	In the Configure Any Parameter dialog box, type the information in the appropriate boxes.

The following describes the items in the Configure Any Parameter dialog box.

This field:	Specifies this information:

Section	The PCTCP.INI file section that contains the parameter you would like to configure.

Subsection	The PCTCP.INI file subsection (if any) that contains the parameter.

Parameter	The parameter you would like to create or configure.

Value	The name, address, or value of the specified parameter.

Related Topic

Selecting Advanced Options (Running Kernel / Any Parameter)


Configure the Running Kernel

Use the Configure Active Kernel Parameters dialog box to change settings for your active kernel. Note that you do not need to load and unload your kernel for these changes to take effect.

You can also save your changes to your configuration file (typically PCTCP.INI) as well as the active kernel by choosing Save or Save As on the File menu.

To configure the running kernel

1.	With Configure in Advanced mode, on the Commands menu, select Running Kernel.

2. In the Configure Active Kernel Parameters dialog box, type or edit the values in the edit boxes.

To view help for a parameter, select it from this list:

Host Name

Domain Name

IP Address

Host Table

Router(s)

Related Topics

Configure the Running Kernel (Additional)

Selecting Advanced Options (Running Kernel / Any Parameter)


Specifies your hostname, the name of your computer. A hostname is the first part in the computer's fully qualified domain name. Consult your network administrator to make sure this name is unique on your domain.

 	You can use any combination of letters, numbers, or dashes in this name. You cannot, however, use a period, underscore, or a space. In the example chalk.xyz.com, chalk is the hostname.


Specifies the domain name of your computer. This is the second part of the computer's fully qualified domain name. In the example chalk.xyz.com, chalk is the hostname and xyz.com represents the domain name.


Sets the Internet address of this interface. Your IP address must be unique and assigned by your network administrator. An IP address looks like 128.127.50.50 with each of the four integers separated by a period, and each integer no larger than 254.

Note that this parameter is only needed for LAN connections and must be set so that the network programs work in LAN environments.

For serial network connections, specify the local IP address in the connection definition.


Specifies a formatted file that contains the Internet addresses and corresponding hostnames of hosts connected to your network. If you have such a file in your directory, type the drive, path, and name of the file (such as C:\PCTCP\ETC\HOSTS.TXT). Note that if you do not have such a file available to you, OnNet16 can still resolve hostnames to the correct Internet address by accessing one or more name servers on the network (if such servers are available).


Sets the default IP router addresses (up to a maximum of three). If all your hosts are on a single LAN, you can ignore this parameter. Otherwise, ask your system administrator for the value for this parameter.


Configure the Running Kernel (Additional)

Use the Additional Active Kernel Parameters dialog box to set your broadcast address, TCP window size, IP time to live value, network subnet mask, or completion domains.

To configure the running kernel

1.	With Configure in Advanced mode, on the Commands menu, select Running Kernel.

2.	In the Configure Active Kernel Parameters dialog box, choose Additional.

3.	In the Additional Active Kernel Parameters dialog box, type or edit the values in the edit boxes.

To view help for a parameter, select it from this list:

Broadcast address

Window

IP time-to-live

Subnet mask

Completion Domain(s)

Related Topic

Selecting Advanced Options (Running Kernel / Any Parameter)


Specifies the IP broadcast address for the kernel to use to send packets to all hosts on the local network. Servers may use a broadcast address to advertise their existence; clients use it to search for available resources. Default: 255.255.255.255


Define a list of domain names; the domain names may be either your local domain or other domains that you access frequently.

Configure the completion domain list so that you only need to enter the hostname portion of a remote host. For example, if you list xyz.com as a completion domain, to establish an FTP connection to the remote host with the hostname pet.xyz.com, you only enter

ftp pet

If you frequently use servers on several domains, you can list up to three completion domain names parameter. List the domain you use most frequently first.


Specifies the time-to-live number for a packet. This figure indicates the number of gateway hops a packet makes before expiring.

Default: 64


Specifies how much of the address to reserve for subdividing networks. The mask contains 1s for the bit positions in the 32-bit address used for the network and subnet parts, and 0s for the host part. The mask should contain at least the standard network portion.

Note that this parameter is only needed for LAN connections and must be set so that the network programs work in LAN environments.

For serial network connections, specify the subnet mask, if required, in the connection definition.


Sets the TCP window size in bytes. A common window size is either 1024 or 8192 bytes. If the window size is set to 0, programs using this parameter default to 1024 bytes on an Ethernet network. This setting allows the other host to send one maximum-size packet. This parameter remedies a performance problem often found with computers running a BSD UNIX operating system.

Default: 4096


General Parameters

Use the General dialog box to configure your password file, username, and Work (etc) directory.

To set a general parameter

In the Configure main dialog box, select General and choose Modify.

To view help for a parameter, select it from this list:

Password file

User name

Work (etc) Directory

Related Topic

Additional General Parameters


Specifies the name and location of the password file used by the FTP server and its password file, as well as by the FTP server embedded in the DOS remote login programs (not in OnNet16 on disks): tn and rloginvt . This setting overrides the Work (etc) directory setting for the purpose of locating the password file.


Sets a short form of the users name, for use as a default with certain programs, such as the Windows FTP, Remote Copy and Remote Command applications; the DOS mail commands (not in OnNet16 on disks): NNTP, Pcmail, POP2, POP3; and the DOS (not in OnNet16 on disks) ftp, rlogin, rsh, and rcp commands. This parameter is typically a login name on a remote host.


Specifies the directory where the SERVICES file, used by Windows Sockets programs, and other general system information files are stored. By default, the SERVICES file is installed in the \ETC directory created under the destination directory you specified during installation.

If the Password file parameter is not set, the FTP server searches for the password filename in this directory.


Additional General Parameters

Use the General Additional dialog box to set your completion domain; the type of name resolution to use; and, for NIS (Network Information System) name resolution, the NIS timeout value.

To set an additional general parameter

1.	With Configure in Advanced mode, in the Configure main dialog box, select General and choose Modify.

2.	In the General dialog box, choose Additional.

To add a completion domain

Type the name of a domain, such as xyz.edu. Choose Add.

To choose a name resolution type

Type, or select on the drop-down list, either DNS or NIS.

To set the NIS timeout value

1.	Select Present. A check mark selects this option.

2.	Accept the default value or enter another value.

To view help for a parameter, select it from this list:

Completion Domain

Name Resolution

NIS Timeout

Related Topic

General Parameters

Name Server Configuration


 	Select either DNS (Domain Name System) or NIS (Network Information System) name resolution. Select NIS only if you are in a Sun network environment that uses NIS servers to resolve hostnames to IP addresses.

For information about configuring a NetBIOS name server, see Part III, "Managing Kernel Services" in the Advanced User's Guide.


Specifies the number of seconds to spend attempting to contact an NIS server before trying another configured NIS server.

Default: 8


Internet Addresses

Use the Internet Addresses dialog box to choose Your System to set or change the IP address of your own computer, Remote Servers to specify or respecify the IP addresses to servers you use, or to choose Novell NetWare to configure LWPE.COM.

To set an IP address parameter

1.	In  the Configure main dialog box, select Internet Addresses and choose Modify.

2.	In the Internet Addresses dialog box, select an addresses group from the list and choose Modify.

Select this group:	To modify these parameters:

Your System	IP address, subnet mask, and router addresses for your computer.

Remote Servers	The addresses of network servers that your computer uses.

Novell NetWare	Values to run LWPE.COM, that lets users run NetWare/IP over TCP/IP.


Internet Addresses, Your System

Use the Your System dialog box to set or change the IP address of your own computer and its subnet mask and to specify the IP address of routers you use.

To set an IP address parameter for your computer

1.	In  the Configure main dialog box, select Internet Addresses and choose Modify.

2.	In the Internet Addresses dialog box, select Your System and choose Modify.

3. In the Your System dialog box, type or edit the IP address of your computer, the network subnet mask, and the IP addresses of routers for your network.

To view help for a parameter, select it from this list:

IP Address

Subnet mask

Router(s)


Sets the default IP router addresses (up to a maximum of three). If all your hosts are on a single LAN, you can ignore this parameter. Otherwise, ask your network administrator for the value for this parameter.

Note that this parameter is only needed for LAN connections and must be set so that the network programs work in LAN environments.

For serial network connections, specify any router addresses in the connection definition.


Internet Addresses, Remote Servers

Use the Internet Addresses Remote Servers dialog box to specify the IP address of the servers you use.

To set an IP address parameter for a remote server

1.	In  the Configure main dialog box, select Internet Addresses and choose Modify.

2.	In the Internet Addresses dialog box, select Remote Servers and choose Modify.

3.	In the list at the top of the dialog box, select a server; type its address at the bottom of the dialog box and choose Add.

To remove a server

1.	In  the Configure main dialog box, select Internet Addresses and choose Modify.

2.	In the Internet Addresses dialog box, select Remote Servers and choose Modify.

3.	In the list at the top of the dialog box, select a server.

4.	In the list at the bottom of the dialog box, select the servers IP address and choose Remove.

To view help for a parameter, select it from this list:

Domain name server

ImPRESS server

Log server

Nicname server

NIS server

Quote-of-the-Day server

Swap server


Specifies the IP addresses of up to three DNS (Domain Name System) servers, which map IP addresses to hostnames.


Specifies the IP addresses of up to three NIS (Network Information System) servers, which map IP addresses to hostnames. If you do not specify a server, NIS requests will be broadcast.


ImPRESS server
Specifies the fully qualified domain name or IP address of any ImPRESS  server attached directly to the network.


Log server
Specifies the fully qualified domain name or IP address of the log server.

PC/TCP applications do not use this parameter; it is included in case you want to use an program that can write error or login information to a file on your server.


Name server
Specifies the Internet address for sending inquiries using the nicname command. If you configure multiple nicname servers, nicname sends a request to each address in the order listed until a valid response is received.


Cookie server
Specifies the fully qualified domain name or IP address of a "quote-of-the-day" server, used by the cookie command. There is no default.


Swap server
Specifies the drive and directory on a remote server for storing temporary swap files. This directory must already exist.


Novell NetWare

Use the Internet Addresses Novell NetWare dialog box to configure parameters that affect LWPE.COM, which lets users run NetWare/IP over the kernel and ODI drivers. For more detailed information and instructions, see Chapter 5, "Fine Tuning the Installation for Your Network Environment" in Part I of the Advanced User's Guide.

To set an parameter for LWPE.COM

1.	In  the Configure main dialog box, select Internet Addresses and choose Modify.

2.	In the Internet Addresses dialog box, select Novell NetWare and choose Modify.

3.	In the list at the top of the dialog box, select a parameter; in the box at the bottom of the dialog box, type or select the value for the parameter.

4.	Choose OK.

To view help for a parameter, select it from this list:

Load LWPE TSR high

Load NetWare/IP interface VxD

rcbs

sockets


Specifies if LWPE.COM, a TSR program, attempts to load into the upper memory block (UMB). Yes loads LWPE.COM into the UMB; no loads LWPE.COM into conventional memory.

Default: yes


Specifies the number of Request Control Blocks (RCBs) to allocate. To run NetWare/IP over LWPE only, you can set rcbs to 10.

Range: 8  64
Default: 40


Specifies the number of sockets to allocate. To run NetWare/IP over LWPE only, you can set sockets to 8.

Range: 6  64
Default: 32


Specifies whether to load the LWPE VxD when Windows starts.


Name Server Configuration

Use the Name Server Configuration dialog box to specify or change your hostname and domain, choose a type of name resolution service, or specify the name servers to use.

To configure name servers

1.	In  the Configure main dialog box, select Name Server Configuration and choose Modify.

2.	In  the Name Server Configuration dialog box, select a name server type: DNS (Domain Name System) or NIS (Network Information System) name resolution. Select NIS only if you are in a network environment that uses NIS servers to resolve hostnames to IP addresses.

3.	In the Host Name box, type a hostname.

4.	In the Domain Name box, type a domain name.

5.	If you selected NIS name resolution, in the NIS Domain Name box, type your NIS domain.

6.	In the Name Server Addresses boxes, type the IP address(es) of up to three name servers.

For information about configuring a NetBIOS name server, see Part III, "Managing Kernel Services" in the Advanced User's Guide.

To view help for a parameter, select it from this list:

Host name

Domain name

NIS domain

Name Server address(es)

Related Topic

Additional General Parameters


Specifies the NIS domain name of your computer. This is the second part of the computer's fully qualified domain name. In the example chalk.xyz.com, chalk is the hostname (see Hostname) and xyz.com represents the NIS domain name.


Specifies the IP addresses of up to three DNS (Domain Name System) servers or NIS (Network Information System) servers, which map IP addresses to hostnames.


Networking Parameters
Kernel Parameters

With Configure in Basic mode, when you choose PC/TCP Kernel in the main Configure dialog box, Configure displays the PC/TCP Kernel Basic dialog box. In this dialog box, you can configure, add, and remove network interface configurations and specify the default interface to use. For example, you can use the PC/TCP Kernel Basic dialog box to configure a SLIP or PPP network interface.

With Configure in Advanced Mode, when you choose PC/TCP Kernel in the main Configure dialog box, Configure displays the PC/TCP Kernel dialog box. In this dialog box, you can choose Fine Tuning to set values for the kernel to improve its performance or choose IP Security to set the IP security authority agency and classification level.

To set a kernel parameter

1.	Select PC/TCP Kernel from the Configure main dialog box and choose Modify.

2.	In the PC/TCP Kernel dialog box, select a kernel parameter group and choose Modify.

Select this group:	To do this:

Basic	Configure a new interface; redefine the interface type, network frame type, and IP addresses for an interface; specify the name of a host table. Remove an interface configuration. Set the default interface to use.

Fine Tuning	Configure the number of TCP and UDP connections, number of small, large, and huge packets, and TCP window size for the kernel. Available in Advanced Mode.

IP Security	Specify ports, classification level, extended bytes, and authority agency for IP security. Available in Advanced Mode.


 Basic Kernel Parameters

Use the PC/TCP Kernel Basic dialog box  to configure a new interface; redefine the interface type, network frame type, and IP addresses for an interface; and specify the name of a host table. Or, use it to remove an interface configuration or set the default interface to use.

To specify a host table

In the PC/TCP Kernel Basic dialog box, in the Host Table edit box, type the pathname of the host table, by default C:\PCTCP\ETC\HOSTS.

To modify the configuration of an interface

1.	With Configure in Basic mode, in the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Basic and choose Modify.

3.	In the PC/TCP Kernel Basic dialog box, select an interface and choose Update

4.	In the appropriate edit boxes, type the IP address and subnet mask.

--or--

In the Interface Driver Type list, select the driver type. PKTDRV and NDIS3 are frequently used, valid choices.

--or--

In the Network Frame Type list, choose the type of network your computer is connected to. DIX-Ethernet is a frequent choice for computers on Ethernet LANs and SLIP or PPP are choices for computers using a modem.

--or--

In the router edit box, type the IP address of a router and choose Add.

--or--

In the router edit box, select a router and choose Remove.

5.	Choose OK when you have finished making your changes.

6.	Exit from Configure and Windows, unload and reload the kernel, and restart Windows for your changes to take effect.

To view help for a parameter, select it from this list:

Interface Name

Interfaces

Host Table

Related Topic

Configuring a New Interface

Removing an Interface Configuration


Configuring a New Interface
To configure a new interface

1.	With Configure in Basic mode, in the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Basic and choose Modify.

3.	In the PC/TCP Kernel Basic dialog box, choose Add.

4.	In the appropriate edit boxes, type the IP address and subnet mask.

5.	In the Interface Driver Type list, select the driver type. PKTDRV and NDIS3 are frequently used, valid choices.

6.	In the Network Frame Type list, choose the type of network your computer is connected to. DIX-Ethernet is a frequent choice for computers on Ethernet LANs and SLIP or PPP are choices for computers using a modem.

7.	In the router edit box, type the IP address of a router and choose Add.

8.	If you are configuring a SLIP or PPP interface, you can omit the IP address, subnet mask, and router.

9.	Choose OK when you have finished making your changes.

10. In the PC/TCP Kernel Basic dialog box, choose Make Default to activate the new interface.

11. Exit from Configure and Windows, unload and reload the kernel, and restart Windows for your changes to take effect.


Specifies the network interface you are using, such as ifcust.


Lists configured interfaces, specified by integer. Generally, the first interface is number 0, the second interface is number 1, and so on. You can define a new interface and add it to this list. You can also change or remove an existing interface definition.


Removing an Interface
To remove the configuration of an interface

1.	With Configure in Basic mode, in the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Basic and choose Modify.

3.	In the PC/TCP Kernel Basic dialog box, select an interface from the interface list box and choose Remove.

4.	Choose OK when you have finished making your changes. You might need to make another interface the default interface by choosing Make Default in the PC/TCP Kernel Basic dialog box.

5.  Exit from Configure and Windows, unload and reload the kernel, and restart Windows for your changes to take effect.


Additional Kernel Parameters

Use the PC/TCP Kernel Basic Additional dialog box to configure parameters that affect kernel performance.

To set an additional kernel parameter

1.	With Configure in Advanced mode, in the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Basic and choose Modify.

3.	In the PC/TCP Kernel Basic dialog box, choose Additional.

4.	In the list box at the top of the PC/TCP Kernel Basic Additional dialog box, select the parameter and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

BSD-style Urgent pointers

DNS support in kernel

Do slow start

Huge Packets Length

IP delay

IP precedence

IP precedence matching

IP reliability

IP security

IP throughput

IP time-to-live

Keepalive timeout

Kernel interrupt

Loopback

MTU discovery

Multicast

Number of Large packets

Number of Small packets

Router discovery

Slow link multiplier

Small Packets Length

Use EMM

Use UMB

Related Topic

Basic Kernel Parameters


Specifies the type of out-of-band, urgent pointers that TCP uses. Yes sets the type to BSD urgent pointers. No sets the type to RFC 1122 urgent pointers.

Default: no


Specifies if slow start is enabled for the kernel. Set this parameter to Yes if you experience problems running Windows programs.

Default: no


This option does not apply to this product.


Specifies the size of each huge packet in bytes.

Range: 4096 through 9216

Default: 9216


Specifies the IP type of service with regard to the likelihood of delay in the flow of data packets.

Default: high


Specifies the type of IP precedence (defined by RFC 791 as superseded by RFCs 1195 and 1349). Select a value from the drop-down list.

Acceptable values are: routine, priority, immediate, flash, override, critical, internet-control, and network-control.

Default: routine


Specifies the type of IP precedence checking. This parameter defines whether or not packets coming in from a remote host need the same IP precedence as those defined by your local IPprecedence level. Select one of the following:

     lax	Specifies that packets coming in from a remote host need not match your local level of IP precedence.

     strict	Specifies that packets coming in from a remote host require strict conformance to your local level of IP precedence.

Default: lax


Specifies the IP type of service with regard to the reliability of data packet delivery. Select low or high.

Default: low


Specifies the type of IP security. Select one of the following:

     basic	Uses the Authority Agency and Classification Level parameter values from the PC/TCP Kernel IP Security dialog box.

     extended	Uses the Authority Agency, Classification Level, and Extended Bytes parameter values from the PC/TCP Kernel IP Security dialog box.

     none	Uses no IP security.

Default: none


 	Specifies the type of IP service with regard to the throughput of data packets.

Default: low


Specifies the time-to-live number for a packet. This figure indicates the number of gateway hops a packet makes before expiring.

Default: 64


Specifies the number of seconds a TCP connection remains active before it expires.

Default: 60


Specifies a software interrupt for the kernel. This parameter is useful when there is a conflict with other programs.

Default: 61 (in hexadecimal)


Specifies if multicast packets loop back to the program that sent them. RFC 1112 requires that there must be a mechanism to turn off packet loopback.

Default: yes


Specifies if the kernel negotiates with the remote host for the number of TCP connections, and the maximum transmission units that the path allows. If you set this parameter to no, the kernel defaults to a TCP maximum segment size of 536 bytes when communicating with machines on remote subnets.

Default: yes


Specifies whether to receive multicast packets.

Default: no


Specifies if the kernel sends out router solicitation packets on startup, requesting the IP addresses of reachable routers.

Default: no


Specifies a factor by which to reduce the number of outstanding packets. This effectively reduces the number of packet retransmissions, thus improving performance on a slow (serial) link. FTP Software recommends a setting of 2 for a serial connection.


Optimizes your kernel performance when you specify this parameter appropriately for your network environment. For greater optimization, FTP Software, Inc. recommends a minimum setting of 60 bytes.

Default: 160


This option does not apply to this product.


This option does not apply to this product.


Interface Parameters

Use the PC/TCP Kernel Basic X dialog box (where X is a number that represents the order in which the interface is listed in the PC/TCP Kernel Basic dialog box and where 0 indicates the first listed interface) to set values for parameters that apply to a specific interface.

To set an interface parameter

1.	In the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Basic and choose Modify.

3.	In the PC/TCP Kernel Basic dialog box, select the interface and choose Update.

4.	In the PC/TCP Kernel Basic X  dialog box, type or edit the IP address or subnet mask in the appropriate edit boxes.

5.	In the Interface Driver Type list, select the driver type. PKTDRV and NDIS3 are frequently used, valid choices.

6.	In the Network Frame Type list, select the type of network your computer is connected to. DIX-Ethernet is a frequent choice for computers on Ethernet  LANs and SLIP or PPP are choices for computers using a modem.

7.	In the router edit box, type the IP address of a router and choose Add.

--or--

In the router edit box, select a router and choose Remove.

8.	Choose OK when you have finished making your changes.

9.	Exit from Configure and Windows, unload and reload the kernel, and restart Windows.

To view help for a parameter, select it from this list:

IP address

Subnet mask

Interface driver type

Network frame type

Router

Related Topic

Additional Interface Parameters


Specifies the type of network layer interface for the MAC driver.

Specify NDIS3 if your are using an NDIS 3.0 driver, or PKTDRV if you are using a packet driver. Any other setting is ignored.


Specifies the method of packet framing for this network interface.

For this network type	Specify this string
DIX Ethernet	DIX-Ethernet
FDDI (over ODI)	DIX-Ethernet
IEEE 802.3 Ethernet	IEEE
IEEE 802.5 Token Ring	Token-Ring
PPP Serial Line	PPP
SLIP Serial Line	SLIP
X.25	X25


Additional Interface Parameters

Use the PC/TCP Kernel Basic X dialog box (where X is a number that represents the order in which the interface is listed in the PC/TCP Kernel Basic dialog box) to set parameters that apply to a specific interface. Set Configure in Advanced mode to configure additional interface parameters.

To set an additional interface parameter

1.	In the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Basic and choose Modify.

3.	In the PC/TCP Kernel Basic dialog box, select the interface and choose Update.

4.	In the PC/TCP Kernel Basic X dialog box, choose Additional

5.	In the list box at the top of the PC/TCP Kernel Basic X  ifcust dialog box, select the parameter and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Broadcast address

Compress Slot Identifier

Maximum VJ slots

ODI packets

VJ Compression

VJ compression by remote site

Related Topic

Interface Parameters


Indicates if the slot identifier field can be compressed. Ordinarily, you do not need to adjust this entry. Default: on


Sets the maximum number of slots. Slots are saved packet headers used by VJ Compression to keep track of TCP connections. Each slot occupies 262 bytes in memory.

If you do not enable VJ Compression, the number of slots is set to 0. Similarly, specifying 0 turns off VJ Compression.

For PPP, if you specify fewer slots than the amount of TCP connections you have configured for the kernel, you have fewer TCP connections. If you specify more slots than the remote site has configured, you waste memory.

For SLIP, FTP Software recommends that you keep the default configuration. (RFC 1144 also recommends this value.) Make sure that the remote SLIP site has the same value for this parameter.

Range: 3 through 255

Default: 16


Specifies the number of buffers allocated to the network interface driver to receive incoming packets (this means that the driver may queue buffers before returning them to the kernel).

If you are using an ODI driver, FTP Software recommends that you set this parameter to 8; using a lower value may affect system performance. Increasing this value increases the amount of conventional memory used by the kernel.

Range: 1 through 20

Default: 2


Specifies if your local host sends compressed packet headers to remote sites.

For PPP, if this parameter is on, the local host synchronizes VJ Compression with a remote host. If off, the local host rejects the attempts of the remote host to synchronize VJ Compression.

For SLIP, VJ Compression is affected by a combination of the VJ Compression status of the remote host and the VJ compression by remote site setting.

Default: on


If on, specifies that your local host will auto-detect whether the remote host is using VJ compression. Note that this parameter applies only to SLIP connections.

This parameter works in conjunction with the setting of the VJ compression setting and the VJ compression status of the remote host.

With this setting on, if the local host detects that the remote host has VJ Compression, then VJ Compression is enabled on your local host. If the remote host is not using VJ Compression, then VJ Compression is disabled on your local host.

Default: on


Kernel Fine Tuning Parameters

Use the PC/TCP Kernel dialog box to set fine tuning parameters for the kernel.

To set a kernel fine tuning parameter

1.	With Configure in Advanced Mode, in the main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select Fine Tuning and choose Modify.

3.	In the list box at the top of the PC/TCP Kernel Fine Tuning dialog box, select the parameter and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Load VxD loader high

Number of Huge packets

Number of Large packets

Number of Small packets

Number of TCP connections

Number of UDP connections

TCP Window size

Related Topics

Basic Kernel Parameters

Configuring the Running Kernel

Additional Kernel Parameters


Specifies if the VxD initialization TSR (VXDINIT.EXE) loads into upper memory. This saves approximately 2.5K of conventional memory.

Default: yes


Specifies the number of UDP connections.

Default: 30


Specifies the number of TCP connections. If the kernel does not have enough memory for the number of TCP connections you request, you will receive an error message.

Default: 30


Specifies the number of small packets the kernel allocates.

Default: 80


Specifies the number of large packets the kernel allocates. Large packets are of equal size to the maximum packet size on the local network. The memory required for a large packet buffer defaults to the maximum size allowed on the local network. For example, an Ethernet large packet buffer contains 1514 bytes.

Default: 20


Specifies the number of very large packet buffers to allocate. These packet buffers are used by InterDrive and NFS to reassemble big (8K) UDP datagrams.

Default: 25


IP Security Parameters

Use the PC/TCP IP Security dialog box to set the IP security authority agency and classification level. Set Configure in Advanced mode to configure IP security parameters.

To set an IP security parameter

1.	In the Configure main dialog box, select PC/TCP Kernel and choose Modify.

2.	In the PC/TCP Kernel dialog box, select IP Security and choose Modify.

3.	In the list box at the top of the PC/TCP IP Security dialog box, select the parameter and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Authority Agency

Classification level

Extended bytes

Ports

Security matching


Specifies the authorizing agency. The current authorizing agencies are DOE, GENSER, NSA, SCI, and SIOP.


Specifies the classification level. The current classification levels are (in descending order): top-secret, secret, confidential, and unclassified. Default: unclassified


Specifies a list of numbers representing the bytes of data to be transmitted; the bytes can be given in hexadecimal, decimal, or octal. The following string causes 6 arbitrary bytes of data (in hexadecimal) to be sent: 0x1 0x2 0x3 0x4 0x5 0x6. Before you can use extended security, you must specify the Classification Level parameter.

 	The definition of extended security is site-dependent.


Lists the specific network hosts that should be treated specially with respect to IP security. Each port value points to a specific [pctcp ip-security n] section in the PCTCP.INI file. You need to create these sections, one for each such network host or group of network hosts, by choosing Configure Any Parameter from the Commands menu, or with a text editor.

 	Note that you can also specify a mask, which is a wildcard (*) for a group of network hosts on a subnet. For example, the mask 128.127.50.* applies to all network hosts on the subnet 50, such as 128.127.50.2 and 128.127.50.3.


Specifies the type of security matching to be performed on incoming packets. If set to strict, all incoming IP packets must contain a valid IP security option. These packets must be less than or equal to the security level defined locally by your Classification Level parameter.

 	For example, if your security level is secret, you can accept packets that arrive at the lower security level of confidential. However, if a packet arrives at a higher security level than specified in your Classification Level parameter, your computer does not accept the packet.

 	You can override this parameter with the Ports parameter, providing you have not set the Extended bytes parameter. If you set the Security Matching parameter to lax, incoming IP packets are accepted regardless of security.

 	Default: lax


Kerberos Parameters

Use the DOS Kerberos dialog box to configure the DOS telnet and remote login commands to use Kerberos authentication.

To set Kerberos parameters

1.	In the Configure main dialog box, select DOS Kerberos and choose Modify.

2.	In the DOS Kerberos dialog box, type or select values for the parameters.

To view help for a parameter, select it from this list:

Default Kerberos realm

Configuration file directory

Ticket file directory

Use principal name as remote username


Specifies your default Kerberos authentication realm. This parameter should be the same as the parameter on the first line of your KRB.CON configuration file. Using Kerberos security on your computer requires this parameter.


Specifies the name of the directory that contains the Kerberos configuration files. Use the Ticket file directory parameter to specify the directory that contains the user's Kerberos ticket file. Using Kerberos security on your computer requires this parameter.


Specifies the directory that contains the user's Kerberos ticket file USERNAME.TKT. Use the Configuration directory parameter to specify the directory that contains Kerberos configuration files. Using Kerberos security on your computer requires this parameter.


Specifies the remote login name for DOS commands such as rcp, rsh, rloginvt. Yes sets the remote username to the principal name in the Kerberos ticket. No sets the remote username to the username specified in the General parameters.


NetBIOS Parameters

Use the NetBIOS dialog box to turn on or off the use of the NetBIOS and to specify the name scope and location of NetBIOS files.

To set NetBIOS parameters

1.	In the Configure main dialog box, select NetBIOS and choose Modify.

2.	In the NetBIOS dialog box, type or select values for the parameters.

To view help for a parameter, select it from this list:

Load NetBIOS VxD

Name file

Broadcast file name

Scope

Related Topic

Additional NetBIOS Parameters


Specifies the file or pathname of the broadcast file that lists the network hosts you want contacted whenever you send broadcasts, name lookups, or registration packets to another network. Any network hosts listed in this file logically become part of the NetBIOS broadcast domain. The broadcast file is read into memory when you load NetBIOS.

Unless you specify a full pathname, NetBIOS uses the directory that you identify with the PCTCP environment variable in your AUTOEXEC.BAT file.

Note:  Use the broadcast file carefully. Broadcast messages include attempts to resolve names and are sent to all local hosts on your LAN and to all hosts listed in the broadcast file. This can slow your PCs response time and can cause heavy network traffic.


Specifies the name of a file used to resolve NetBIOS names. Each name file parameter associates a NetBIOS name with a corresponding hostname or Internet address.

If you specify only a filename (and not a full pathname), OnNet16 searches for the file in the directory specified by the PCTCP environment variable. (Use set at the DOS prompt to see your environment variable settings.)

Names in name file entries are case sensitive.


Specifies the name scope string (up to 19 characters). If the string contains spaces, do not use double or single quotation marks around the string.

NetBIOS appends the specified name scope string to NetBIOS hostnames before it calls the name resolver.

Default: no scope.


Specifies if Windows loads NetBIOS.

Default: no


Additional NetBIOS Parameters

Use the NetBIOS Additional dialog box to set additional parameters for NetBIOS. Set Configure in Advanced mode to configure additional NetBIOS parameters.

To set an additional NetBIOS parameter

1.	In the Configure main dialog box, select NetBIOS and choose Modify.

2.	In the NetBIOS dialog box, choose Additional.

3.	In the list box at the top of the NetBIOS Additional dialog box, select the parameter and, in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

Broadcast name requests retry count

Domain scope

Driver adapter number (LANA)

Maximum NetBIOS names

Maximum NetBIOS sessions

Maximum network control blocks

Name broadcast requests timeout

Name delete retries

NetBIOS name cache size

Session timeout override

Related Topic

NetBIOS Parameters


Sets the internal retry counter according to the RFC1001/1002 protocol. Specify the number of name broadcast requests.

Range: 1 through 16

Default: 3


Specifies an additional name (up to 19 characters) to use when a NetBIOS name is unresolved.

If NetBIOS cannot resolve a hostname on the local network or through the broadcast file or name file mechanisms, NetBIOS attempts to resolve the hostname on the local network by combining an encoded (and then unencoded) NetBIOS name with the specified domain scope string.

The NetBIOS name must be first-level encoded (according to the rules of RFC 1001 and RFC 1002) and recorded in a hosts file or with a domain name server. Because the domain scope is processed exactly as entered, it can place NetBIOS names in their own domain (by including a leading dot), or it can convert them into unique hostnames in the local domain.

Default: no domain scope


Sets the adapter number for NetBIOS drivers.

All NetBIOS servers use interrupt 0x5C. Use this option to distinguish between multiple servers. This option lets the FTP NetBIOS coexist on a computer that has already installed IBM NetBIOS. The primary server remains IBM NetBIOS, and the secondary server is the FTP NetBIOS (assuming that you set the FTP NetBIOS adapter-number to 1).

Range: 0-255
Default: 0


Sets the maximum allowable number of outstanding NCBs (Network Control Blocks). The maximum is 169.

Default: 169


Sets the maximum number of local names (up to a maximum of 254).

Default: 16


Sets the maximum number of active NetBIOS sessions up to the number of kernel TCP connections.

Default: 16


Sets the internal timeout between the next name broadcast requests (see RFC 1001/1002). Specify the timeout number in 250-ms time units.

Range: 2 through 254

Default: 2


Specifies how many times NetBIOS retries to perform a name delete request. (See the Name broadcast requests timeout parameter to specify the timeout between retries.)

If you experience long delays while exiting from Windows, set this parameter to 1.

Default: 3


Sets the number of the NetBIOS name cache elements.

Default: 256


Sets the application timeout interval (in 500-ms NetBIOS time units). Use this parameter to override the application default.

A timeout value of 0 specifies that the application will never time out.

This option is particularly useful if you run the IBM PC LAN program, for which the time-out sequence is 15 seconds. Foreground activity can often take longer (so an infinite timeout can improve performance).

Range: 0 - 254


SOCKS Parameters

Use the Socks dialog box to set parameters that let you use the SOCKS protocol to access a network host that is protected by a SOCKS firewall.

Support for SOCKS security is provided in the TNVT, FTP, and Mosaic programs. In addition, SOCKS implementation in the FTP Software Windows Sockets DLL has transparent SOCKS support so that any Windows Sockets client program that uses TCP as the transport layer can use SOCKS security when running over the FTP Software Windows Sockets DLL.

To set a SOCKS parameter

1.	In the Configure main dialog box, select Socks and choose Modify.

2.	In the Socks dialog box, type the values for the parameters.

To view help for a parameter, select it from this list:

Configuration file

Error log

SOCKS server

Use socks

Related Topic

Additional SOCKS Parameters


Specifies the directory that contains the SOCKS configuration file. The filename is always SOCKS.CNF, but it can be located either in the directory specified by the Work (etc) parameter in the General parameters group, or in a directory specified by this Configuration file parameter.


Specifies whether to report a SOCKS error in a message box. To display errors, set this value to yes.

Default: yes


Specifies the name of a log file in which to record errors that occur while using the SOCKS protocol. Specify the full pathname if the log file is not in the same directory as your OnNet16 files, nor in the directory specified by the Configuration file parameter.


Specifies the hostname, or preferably, the Internet address of the default socks server to use if the SOCKS configuration file does not specify a server. You can configure multiple SOCKS servers; OnNet16 tries to connect to each one, until successful, in the order in which they are listed. The server must be specified either by this parameter or in the SOCK.CNF file.


Specifies whether to use SOCKS security to access network hosts.


Additional SOCKS Parameters

Use the Socks Additional dialog box to set an additional parameter that lets you use the SOCKS protocol to access a network host that is protected by a SOCKS firewall.

To set an additional SOCKS parameter

1.	In the Configure main dialog box, select Socks and choose Modify.

2.	In the Socks dialog box, choose Additional.

3.	In the Socks Additional dialog box, select Yes or No.

To view help for a parameter, select it from this list:

Error display


DHCP and Bootp Parameters

Use the DHCP/Bootp dialog box to set parameters that let you dynamically configure your computer's IP address and the routers you use. These parameters apply to the DHCP VxD client in Windows and to the dhcp and bootp commands for DOS.

To set a DHCP or Bootp parameter

1.	In the Configure main dialog box, select DHCP/Bootp and choose Modify.

2.	In the DHCP/Bootp dialog box, choose Additional.

3.	In the list box at the top of the DHCP/Bootp Additional dialog box, select the parameter and, in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

Boot file (Bootp only)

Class ID (DHCP only)

Client ID (DHCP only)

Initial retry count

Initial timeout (seconds)

Requested lease time (seconds) (DHCP only)

Requested server name (Bootp only)

Server IP address (Bootp only)


Sets the number of attempts to get a response from the server.


Sets the maximum amount of time (in seconds) to wait for a response from a DHCP or Bootp server.


Specifies a string that uniquely identifies the PC, such as a user name.

This value can be used in place of the MAC address to identify a client configuration so that the same configuration is issued to a client regardless of the MAC address. (This supports the changing of the hardware without reconfiguring the server or assigning the PC client a different IP address.)

By default, the DHCP client uses a client ID based on the MAC address.


Specifies a string that identifies the class to which the client belongs.

A network administrator may choose to group sets of PCs into separate classes, and return different configuration information for each different class.

An example of a class would be all PCs, or all machines belonging to a given department.


Specifies the length of the lease requested by the client in seconds. Note that it is the responsibility of the DHCP server to decide the lease duration; a DHCP server may offer a lease time other than that requested by the client, depending on how the server is configured.


Specifies the IP address of the server to which the Bootp client sends its request if the PC's IP address is configured. If the PC's IP address is not configured, the Bootp client broadcasts the request to the network.


Specifies the name of a file that resides on the server which you can use to configure diskless workstations. Bootp can return the full path of a boot image file. If more than one boot image file exists on a server, this parameter can be used to specify the name of the file to use.

The server returns the name of a file for this parameter, but does not return the file itself. You can use a file transfer program, such as tftp, to transfer the file to the PC. Note that the Bootp protocol does not define the contents of the file.

The bootp command is not used to boot the PC, so this parameter is seldom used; it is provided only to comply with the requirements of the Bootp protocol.


Sets the server name (sname) field of the Bootp request to the specified name. Note that the Bootp client still either broadcasts the request, or sends the request to the server specified by the Server IP address parameter or the -d command line option. This parameter is provided to support those Bootp servers that allow only the server named in the Bootp client request to respond; many Bootp servers do not implement this aspect of the Bootp protocol.


Serial Parametets
Serial Parameters

Set or change the settings of parameters that apply to serial connections.

To view help for a parameter, select it from this list:

Serial section

Serial script

Related Topics

Serial Section Parameters

Additional Serial Section Parameters

Serial Script Parameters

Additional Serial Script Parameters


 	Defines serial parameters used by one or more serial scripts. You can specify a section as the Serial Port Section parameter when you define a serial script. You can add, change, or remove items in this list.


Defines parameters that apply to a particular serial connection. Serial scripts are often named based on the name of the host that they connect to. You can add, change, or remove items in this list.


Serial Section Parameters

This section contains parameters that apply to serial connections.

To view help for a parameter, select it from this list:

Speed (baud rate)

Serial port

Related Topics

Additional Serial Section Parameters

Serial Script Parameters

Additional Serial Script Parameters


Sets the baud rate used in asynchronous serial data communications. Rates: 110, 300, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200, and 230400. 230400 will only be supported in Windows and only on specialized devices such as the Hayes ESP board.

Default: 2400


Specifies the serial port to use. Specify the communications port that connects to your modem, serial line, or ISDN line.


Additional Serial Selection Parameters
Additional Serial Section Parameters

Set or change the settings of parameters that apply to serial connections.

To set an additional serial section parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Hardware flow control support

Hardware interrupt

I/O base address

Software XON/XOFF flow control

Related Topics

Serial Section Parameters

Serial Script Parameters

Additional Serial Script Parameters


Specifies if hardware flow control is enabled or disabled. Flow control regulates the RS-232-C signaling protocol used to affect flow control. For connections established over null modems, set this keyword to off. If your program needs flow control, set this parameter to on.

Default: on


Sets the hardware interrupt request (IRQ) number.

Refer to the documentation that came with the card. All PC AT bus cards require this parameter. The value specified in this parameter overrides the value specified by the Serial Port parameter in the basic Serial configuration section.

Range: 2 through 7 (IBM PC XT machines), 2 through 13 (IBM PC AT and PS/2 machines)


Sets serial line I/O base address number.

The value specified in this parameter overrides any value specified by the Serial Port parameter in the basic Serial configuration section.

Range: 0x0 through 0x3FF. The legal values depend on the target card; refer to the documentation that came with the card for more information.


Specifies if XON/XOFF flow control is enabled or disabled (PPP only).

Default: off


Serial Script Parameters

Set or change the settings of parameters that apply to a specific serial connection.

To view help for a parameter, select it from this list:

Dialup Script Filename

Hangup Script Filename

Serial port section

Related Topics

Serial Section Parameters

Additional Serial Section Parameters

Additional Serial Script Parameters


Specifies the drive, path, and name of a file containing dial-up script commands.


Specifies the drive, path, and name of a file containing hang-up script commands.


Specifies the PCTCP.INI file section that describes a particular serial connection. For example, if you set this parameter to PPP_from_home, the serial connection uses the PPP_from_home serial section to configure the serial port.


Additional Serial Script Parameters

Set or change the settings of parameters that apply to a specific serial connection.

To set an additional serial script parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

IPCP negotiation local IP address

IPCP negotiation remote IP address

Maximum PPP receive unit

Packet driver software interrupt

PPP address and control field compression

PPP asynchronous control character map

PPP authentication password

PPP authentication username/identity

PPP configuration retries

PPP negotiation Restart time

PPP protocol field compression

PPP termination retries

Retries before fallback to defaults

VJ compression

VJ compression slot identifier

Related Topics

Serial Section Parameters

Additional Serial Section Parameters

Serial Script Parameters


Specifies the local IP address used while the two hosts synchronize addresses.

Note: If you are using PPP, and if the remote host negotiates IP addresses, FTP recommends that you use the default wildcard address of 0.0.0.0. Otherwise (for example, if you are using SLIP or if the remote PPP host does not negotiate IP addresses), you must specify a valid local IP address.

Default: 0.0.0.0


Specifies the remote IP address used while the two hosts synchronize addresses.

This parameter applies to the DOS comscrpt program only, and is not used by the Windows dialer.

Note:  FTP recommends that you use the default wildcard address of 0.0.0.0. If you specify a non-zero local IP address, make sure that it matches the remote IP address specified on the PPP server. If you specify a non-zero remote IP address, make sure that it matches the local IP address specified on the PPP server. Otherwise, IPCP synchronization is likely to fail.

Default: 0.0.0.0


Sets the maximum receive unit (MRU), which indicates the maximum packet length that the remote host (your host) can accept. Your PC will discard frames that exceed this length.

Default: 1500


Sets the software interrupt. This parameter applies to the DOS comscrpt program only. (It is not used by the Windows Dialer program.)

Range: 0x20 through 0xFF


Specifies if address control field compression is enabled or disabled. This parameter applies to the DOS comscrpt program only. (It is not used by the Windows Dialer program.)

If set to on, address control field compression omits the PPP packets address and control fields (each comprising 1 byte). Set address control field compression on to conserve bandwidth and improve throughput. Note that either the local or remote host can have the other enable address control field compression. Normally you do not need to change this value, except to test your PPP connection.

Default: on


Sets the ACCM (asynchronous control character map) to specify control character values to screen out of the data stream while your local host is receiving and transmitting data.

If your telecommunications equipment attaches a special meaning to a control character value, set the corresponding bit in the map to screen out this hexadecimal character value. Specify value as either a hexadecimal or decimal number. The kernel then converts the number into a 32-bit map. Each bit in the 32-bit map corresponds to a control character.

Note:   Read RFC 1331 before attempting to adjust this value.

Range: 0x0000000 through 0xFFFFFFFF
Default: 0x000A0000


Specifies the password that the remote PPP host requires during PAP/CHAP authentication. This parameter is not necessary unless the PPP host requires user authorization.


Specifies the name that the remote PPP host requires during link-layer PAP/CHAP user authentication. This parameter is not necessary unless the remote host requires authentication. Some remote hosts use this name as a keyword to determine which local IP address to assign from a pool.


Sets the maximum number of configuration requests that PPP sends before terminating the connection.

Default: 10


Sets the timeout, in seconds, before PPP resends a configuration request packet.

Default: 3


Specifies if the PPP driver compresses the protocol field of each frame that it sends.

This parameter applies to the DOS comscrpt program only. (It is not used by the Windows Dialer program.)

If set to on, the protocol field in the PPP frame header is compressed from 2 bytes to 1 byte. If set to off, the protocol field is not compressed. You do not need to change this value from the default, except to test your PPP connection.

Default: on


Sets the maximum number of termination requests that PPP sends before terminating the link.

Default: 2


Sets the maximum number of timeouts before PPP terminates the connection.

Default: 10


Specifies if your local host sends compressed packet headers to remote sites.

Set this parameter to auto to instruct the remote host to dynamically determine when to use VJ header compression.

Note:This parameter overrides the VJ compression parameter in the Basic PC/TCP Kernel Interface parameters group.


Specifies if the VJ slot number is compressed. FTP recommends that, in general, you should not set this parameter to 1.

Note:  This parameter overrides the Compress slot identifier in the Basic PC/TCP Kernel Interface parameters group.

Default: 0


Archiving Parameters

Use the Archiving dialog box to set or change the settings of parameters used for archiving your files. These parameters affect the DOS tar and Windows Archiver programs.

To set an archiving parameter

1.	In the Configure main dialog box, select Archiving and choose Modify.

2.	In the Archiving dialog box, type the values for the parameters.

To view help for a parameter, select it from this list:

Dump dates file

Remote host name

Tar file name

User name

Related Topic

Additional Archiving Parameters


Specifies the file where you store dump dates; that is, the dates when you created archive files.

This parameter is available in Advanced mode only.


Specifies the default remote hostname you use for the tar or Archiver programs.


Specifies the default filename to use (usually a tape device) for the tar or Archiver programs.


Specifies the default remote username you use for the tar or Archiver programs.


Additional Archiving Parameters

Use the Archiving Additional dialog box to set or change the settings of parameters used for archiving your files. These parameters affect the Windows Archiver program.

To set an advanced archiving parameter

1.	With Configure in Advanced mode, in the Configure main dialog box, select Archiving and choose Modify.

2.	In the Archiving dialog box, choose Additional.

3.	In the Archiving Additional dialog box, in the list box at the top of the dialog box, select the parameter and in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

Block size

Compare file creation dates

Compression

Dump level

Mark files

Modification during restore

Overwrite prompt

UNIX and ASCII format conversion

Use default block size

Verbose mode

Related Topic

Archiving Parameters


Sets the number of 512-byte blocks that Archiver writes as a unit.

This option is available for Archive.

Default: 20 (10240 bytes).


Specifies if Archiver compares files dates during a restoration to prevent replacement of more recent files.

This option is available for Restore.

Default: No.


Specifies if Archiver compresses files during an archive, and decompresses files during restoration and listing.

This option is available for Archive, List, and Restore.


Sets a number 0 through 9 that controls the dump (or copy) level.

This option is available for Archive.


Specifies if files with the attribute turned on are backed up. With this option enabled, Archiver also marks files to prevent subsequent back up by turning off the archive file attribute.

This option is available for Archive.

Default: no


Specifies if Archiver modifies files dates to the current date or reinstates the original file dates during a restoration.

This option is available for Restore.

Default: no


Specifies if Archiver prevents or permits restored files from overwriting files on your system that have a more recent file date.

This option is available for Restore.

Default: no


Specifies if Archiver converts between UNIX and ASCII formats. (UNIX ends each line in a file with a line-feed character; ASCII ends with both carriage-return and line-feed characters.)

This option is available for Archive and Restore.

Default: no


Specifies if Archiver sends an outgoing block size.

This option is available for Archive.

Default: no


Specifies if Archiver displays file details during a file listing.

This option is available for List.

Default: yes


 File Transfer Parameters

Use the File Transfer dialog box to change or set parameters that apply to the Windows FTP Server, the DOS ftp program, and both Windows and DOS remote copy programs.

To set a file transfer parameter

1.	In the Configure main dialog box, select File Transfer and choose Modify.

2.	In the File Transfer dialog box, from the list box at the top of the dialog box, select the parameter and, in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

Allow timeout

File permission mask

FTP client command filename

Hash mark size

Logging level

Use password file

Write protect

Related Topic

General Parameters


Specifies if FTP Server closes idle connections to remote hosts. FTP Server inserts this parameter when you select or clear the Allow Connection Timeout box in the FTP Server Configuration dialog box.


Sets the default file permission mask, a three-digit number that conforms to the BSD UNIX convention for file permissions. Remote copy uses this value.


Specifies the name and location of a command file for ftp. After prompting you for a username and password, the DOS ftp command takes commands from this file. You can create and use this command file to preset the option command and file transfer modes.


Sets how often hash marks are displayed by specifying an integer value from 512 to 65536 bytes.

Default: 4096


Specifies the error logging level when you select a logging level in the FTP Server Configuration dialog box.


Specifies if access to the FTP Server is restricted to the users listed in the password file. FTP Server inserts this parameter when you select or clear the Use Password File check box in the FTP Server Configuration dialog box.

Default: No.


Specifies if write protection is enabled for files on the PC. FTP Server inserts this parameter when you select or clear the Write-protect mode (read only) check box in the FTP Server Configuration dialog box.

Default: No.


Printing Parameters

Use the Printing dialog box to set or change the settings of parameters that apply to the Windows Print Client program and to the DOS lpr, lpq, and lprm printing client programs.

To set a printing parameter

1.	In the Configure main dialog box, select Printing and choose Modify.

2.	In the Printing dialog box, type the values for the parameters.

To view help for a parameter, select it from this list:

Class

Print banner page

Server name

Queue name

Related Topics

Additional Printing Parameters

Print Server Parameters

Additional Print Server Parameters

Printername Parameters

Additional Printername Parameters


Specifies a default class name that prints on the header or cover page of the print job. This class name might be used as a priority, or as an accounting name (for example, as a project name, group name, or routing mechanism). You can override this class name on the lpr command line by using the -C option or in the advanced section of a session definition or Print Files dialog box of the Print Client program.


Specifies whether to print a header (or cover) page. If set to no, the program suppresses the printing of a header page. You can override this setting on the lpr command line by using the h option or in the advanced section of a session definition or Print Files dialog box of the Print Client program.


Specifies the hostname or IP address of a default remote print server. If you do not use this parameter, or if you want to override its value, you must specify a server name on the DOS command line using the -S option or in a session definition or in the Print Files dialog box of the Print Client program.


Specifies a default remote printer. If you do not use this parameter, or if you want to override its value, you must specify a printer name on the DOS command line using the -P option or in a session definition or in the Print Files dialog box of the Print Client program.


Printing Parameters
Additional Printing Parameters

Use the Printing Additional dialog box to set or change the settings of parameters that apply to the DOS predir print redirection program.

To set an additional printing parameter

1.	With Configure in Advanced mode, in the Configure main dialog box, select Printing and choose Modify.

2.	In the Printing dialog box, choose Additional.

3.	In the list box at the top of the Printing Additional dialog box, select the parameter and, in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

Advanced Mode (includes the following parameters)

Default Session

Print program

Swap file

Related Topics

Printing Parameters

Print Server Parameters

Additional Print Server Parameters

Printername Parameters

Additional Printername Parameters


Specifies the complete pathname of the program that predir uses for network printing.


Specifies the drive and directory for storing the temporary swap files that predir creates. This directory must already exist.


Specifies the name of a session to use as the default printer connection. A session is a group of parameters that you set up and name to represent a connection to a print server and queue.


Print Server Parameters

Use the Print Server dialog box to set or change the settings of parameters that apply to the LPD Print Server program.

To set a print server parameter

1.	In the Configure main dialog box, select Print Server and choose Modify.

2.	In the Print Server dialog box, choose Add. Type or select information in the new Print Server dialog box and choose OK.

--or--

Select a print server in the Available Printers list and click Update. Type or select information in the new Print Server dialog box and choose OK.

--or--

Select a print server in the Available Printers list and click Remove.

3.	Optionally, type the pathname of an LPD authorization file.

To view help for a parameter, select it from this list:

Available Printers

LPD Authorization File

Related Topics

Printing Parameters

Additional Printing Parameters

Additional Print Server Parameters

Printername Parameters

Additional Printername Parameters


Lists the names of printers configured for use with the LPD Server. You can add new printers, change the parameters of an existing printer definition, or delete a printer definition.


 	Specifies the location and filename of a host authorization file. Use an authorization file to restrict LPD print services to only those hostnames listed in the authorization file. If you do not specify a filename for this parameter, all hosts can access LPD print services.


Additional Print Server Parameters

Use the Print Server Additional dialog box to set or change the settings of parameters that apply to the LPD Print Server program.

To set an additional print server parameter

1.	With Configure in Advanced mode, in the Configure main dialog box, select Print Server and choose Modify.

2.	In the Print Server dialog box, choose Additional.

3.	In the list box at the top of the Print Server Additional dialog box, select the parameter and, in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

Logging level

LPD printer queues

Use authorization file

Related Topics

Printing Parameters

Additional Printing Parameters

Print Server Parameters

Printername Parameters

Additional Printername Parameters


Specifies the amount of information that Logging Information displays in the Windows Print Server dialog box. The normal setting displays information about connections to the Print Server; the debug setting displays additional information about connections to Print Server. Print Server inserts and changes this parameter when you set the Logging Level in the Print Server Configuration dialog box.


Specifies the names of configured printers connected to the LPD server.


Specifies if the Windows Print Server restricts access to the hosts listed in the authorization file. Print Server inserts this parameter when you select or clear the Use Hosts File check box in the Print Server Configuration dialog box.


Printername Parameters

Use this Print Server dialog box to set or change the settings of parameters that apply to a specific printer for the LPD Print Server.

To set a printer name parameter

1.	In the Configure main dialog box, select Print Server and choose Modify.

2.	In the Print Server dialog box, choose Add or Update. Type or select information in the new Print Server dialog box and choose OK.

To view help for a parameter, select it from this list:

Device name

Directory

Spooling

Related Topics

Printing Parameters

Additional Printing Parameters

Print Server Parameters

Additional Print Server Parameters

Additional Printername Parameters


Specifies the device on which to print files. This can be one of the standard DOS devices: LPT1, LPT2, COM1, COM2, or COM3. The device PRN is also available, although this is usually set by DOS to refer to LPT1.

You can also send all output to a file instead of a printer port. Set this parameter to a valid DOS path- and filename, instead of a printer port name. This feature redirects every character to the specified file that would normally be sent to a printer port.

You can set this parameter to a filename for the Windows Print Server. This parameter has precedence over any configured Windows Printers. For Windows Print Server, do not set this parameter to a DOS device.


Specifies the directory in which the server spools files for this particular printer. If this directory does not exist when you load the LPD program or the Print Server program it creates the directory.


Specifies if printer spooling is enabled at start-up.

Default: yes


Additional Printername Parameters

Use this Print Server dialog box to set or change the settings of parameters that apply to a specific printer for the LPD Print Server.

To set an additional printername parameter

1.	With Configure in Advanced mode, in the Configure main dialog box, select Print Server and choose Modify.

2.	In the Print Server dialog box, choose Add or Update.

3.	In the Print Server dialog box, choose Additional.

3.	In the list box at the top of this Print Server dialog box, select the parameter and, in the box at the bottom of the dialog box, set its value.

To view help for a parameter, select it from this list:

CIFplot initialization sequence/file

CIFplot termination sequence/file

DITROFF initialization sequence/file

DITROFF termination sequence/file

DVI initialization sequence/file

DVI termination sequence/file

Expand tabs

Formfeed

Header page font and type size

Log file

Number of characters sent to printer

PostScript header file

Print at server startup

Print header pages

Printer initialization file or sequence

Text initialization sequence

Text termination sequence

TROFF initialization sequence/file

TROFF termination sequence/file

Use DOS write calls

Use log file

Verbatim initialization

Verbatim termination

Windows printer name

Related Topics

Printing Parameters

Additional Printing Parameters

Print Server Parameters

Additional Print Server Parameters

Printername Parameters


Specifies the sequence that the server sends verbatim to the printer after printing the header page and before printing a CIFplot data file. This feature lets you change the mode of printer operation for printing the actual data file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing a CIFplot data file. This lets you reset the mode of printer operation after printing a file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing the header page and before printing a DITROFF data file. This feature lets you change the mode of printer operation for printing the actual data file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing a DITROFF data file. This lets you reset the mode of printer operation after printing a file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing the header page and before printing a DVI data file. This feature lets you change the mode of printer operation for printing the actual data file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing a DVI data file. This lets you reset the mode of printer operation after printing a file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies if a printer queue extends TAB characters to 8 spaces, or does not add spaces when it encounters a TAB character. Only the DOS LPD server uses this parameter.


Specifies if the server sends a form feed at the end of a print job (yes sends a form feed).

Default: yes


Specifies the sequence that the server sends to the printer just before the header (break) page for each print job. This lets you change fonts and type size for the header page. The header page lists the name of the print job, the originating host, the user, and the time of printing.


Specifies the file that contains logging information for the printer. This feature records printer job completion status and total bytes printed. You can log events for each printer separately by specifying unique log filenames.


Sets the number of characters that the server sends to a printer. The  lpd program sends characters to an individual printer until there is a keyboard or network event, or until the LPD server has sent the number of characters specified in this parameter.

Default: 500


Specifies the name of a file that contains information that appears on a PostScript header page. If you create your own PostScript header page generation file, you must use the same variables that are used in the PS.HDR file.


Specifies if printing is enabled or disabled at start-up. If this parameter is set to no in a printers configuration section, printing will be disabled for that printer when you start the lpd program or Print Server program.

Default: yes


Specifies if a header (break) page specified by the print job is printed. If set to off, the printer will not print break pages even if a print job specifies a break page.

Default: yes


Specifies the sequence that the server sends to the printer when the LPD server loads. To send the sequence again, you must stop and restart the LPD server.


Specifies the sequence that the server sends verbatim to the printer after printing the header page and before printing a text file. This feature lets you change the mode of printer operation for printing the actual data file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing a text file. This lets you reset the mode of printer operation after printing a file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing the header page and before printing a TROFF data file. This feature lets you change the mode of printer operation for printing the actual data file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing a TROFF data file. This lets you reset the mode of printer operation after printing a file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies if the PC uses DOS write calls to communicate with the printer port, rather than the default BIOS calls. Use this feature if you are controlling output to a printer using XON/XOFF handshaking, or if you are using third-party software to interrupt the printer calls or to intercept characters going to the printer. If this parameter is not present, the lpd server defaults to using BIOS calls for that printer.

Only the DOS LPD server uses this parameter.


Specifies whether the Windows Print Server should log messages to a file for this queue. The DOS lpd server does not use this parameter.


Specifies the sequence that the server sends verbatim to the printer after printing the header page and before printing a file verbatim. This feature lets you change the mode of printer operation for printing the actual data file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the sequence that the server sends verbatim to the printer after printing a file verbatim. This lets you reset the mode of printer operation after printing a file.

The server does not automatically detect the type of a file; users must specify the file type on the lpr command-line to ensure that the appropriate sequence is set. The exact form of this sequence depends on the printer.


Specifies the name of a printer configured for Print Manager. The Windows Print Server inserts this parameter when you select a Windows Printer in the Add Printer Queue or Modify Printer Queue dialog boxes.


 Mail and News Parameters

Set or change the settings of parameters that apply to the DOS mail programs.

Select a mail or news group from the list onscreen, then choose Modify.

Select this group:	To modify parameters for:

SMTP	The SMTP mail client program that implements the Simple Mail Transfer Protocol. This group is available in Advanced mode only.

News	News and bulletin board parameters, using the Network News Transfer Protocol (NNTP) client program.

Pcmail	The Pcmail screen-oriented client mail program. Note that these parameters configure Pcmail only; these parameters do not apply to Mail OnNet.

POP2	The POP2 mail client program that implements the Post Office Protocol. POP2 supports the use of multiple mailboxes

POP3	The POP3 mail client program. POP3 supports access to bulletin boards.

Vmail	The Vmail screen-oriented mail reader for messages retrieved by PCmail, POP2, POP3, and NNTP client programs.


 SMTP Parameters

Set or change the settings of parameters that apply to the DOS SMTP (Simple Mail Transfer Protocol) program.

To view help for a parameter, select it from this list:

Default host

Home directory

Spool directory

User directory

Related Topic

Additional SMTP Parameters


Specifies the default hostname to be used by the SMTP program. The SMTP program uses this parameter if you do not specify a full address when sending mail.


Specifies the destination directory for mail received at the PC. The SMTP program uses this parameter if you do not specify a Spool directory. Note:  You can override this parameter by setting the HOME environment variable in your AUTOEXEC.BAT file.


Specifies the location of the C:/USR/SPOOL/MAIL directory, where messages are sent prior to being read (if the mail program is what you use to read your mail messages). Note that SMTP obtains the PC drive designator (C:) from the value of the HOME environment variable.

Note: You can override this parameter by setting the SPOOL environment variable in your AUTOEXEC.BAT file.


Specifies the directory that contains both the MAIL.RC customization file and the MBOX file. Make certain that this parameter specifies a subdirectory below the root directory, such as C:\EMAIL.

If you do not set the HOME or USER-PATH environment variables in your AUTOEXEC.BAT file, or alternatively, if you do not provide settings for the Home directory and user directory parameters, SMTP appends messages to the C:\MAIL.TXT file.

Note:  You can override this parameter by setting the USER-PATH environment variable in your AUTOEXEC.BAT file.


SMTP Additonal Parameters
Additional SMTP Parameters

Set or change the settings of parameters that apply to the DOS SMTP program.

To view help for a parameter, select it from this list:

Mail relay

Related Topic

SMTP Parameters


Sets the fully qualified domain name or IP address of the host that acts as an electronic mail relay within your local network, queueing mail for hosts that cannot be reached immediately.


 News Parameters

Set or change the settings of parameters that apply to the DOS NNTP (Network News Transfer Protocol) program.

To view help for a parameter, select it from this list:

Client

Server

Username

Maximum new messages

Related Topic

Additional News Parameters


 	Specifies your PC as a client to the NNTP server. For this parameters setting, specify either your PCs hostname or its IP address. If you do not set this parameter, NNTP uses the hostname and domain parameters from the DNS configuration parameters group.


 	Specifies the remote host that provides your NNTP service. Specify either the hostname or IP address of the remote host.


Specifies the username (login name or user ID) that lets you access the remote host providing your NNTP service. If you want to use the default username parameter in the General parameters group, do not configure this parameter.

 	Note:  You can override this parameter with the nntp -u username command.


Sets the maximum number of messages (specified by number) beginning with the most recent message, to retrieve from the server when you join a network news group. The default retrieves all messages. Default: 0

This parameter is available in Advanced mode only.


 Additional News Parameters

Set or change the settings of parameters that apply to the DOS NNTP (Network News Transfer Protocol) program.

To set an additional News parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Basic Mode

Reply to

Top level directory

Advanced Mode (includes Basic Mode parameters and the following parameters)

Maximum changed messages to retrieve

Network timeout

NNTP port

Oldest message

Related Topic

News Parameters


Sets the maximum number of messages that the NNTP client transfers from the server to your PC at one time. If you have ample disk storage space, set this parameter to 0, which causes all messages to be retrieved. If you have limited disk space, set this parameter to a low number, such as 10.


Sets the number of minutes that the NNTP client pauses for the server to respond to its connection on the TCP port used by the program.

Default: 5


Specifies the TCP port number monitored by the NNTP server for connections made by the NNTP client.

Default: 119


Sets the expiration time for the messages in all of your network news group mailboxes. Specify a number and either weeks or days. For example:

4 weeks

When the expiration time arrives, and you run the nntp command with the -e option, the NNTP program removes all messages from those mailboxes that have exceeded the expiration time. If no time is specified, the network news group messages never expire.

Note:  If the parameter expire-newsgroup= is used to set an expiration time for a specific newsgroup mailbox (whose name is specified by newsgroup), that parameter overrides this Oldest message parameter for the specified mailbox. You cannot configure the expire-newsgroup= parameter from the Configure program.

Valid keywords are days and weeks.

Default: 2 days


Specifies your Reply-to: electronic mail address in the header of every network news group message that you send. (You compose with the editor that you specified for use with the vmail program.)


Specifies the top-level directory location of the NNTP system files and subdirectories on your PC. This parameter is required and must be unique for the NNTP client.


 Pcmail Parameters

Set or change the settings of parameters that apply to the DOS Pcmail client program.

To view help for a parameter, select it from this list:

Username

Password for server

Client

Server

Related Topic

Additional Pcmail Parameters


Specifies the username (login name or user ID) that lets you access the remote host providing your mail service. If you want to use the default username parameter in the General parameters group, do not set this entry.


Specifies your password exclusively for use with the Pcmail program. If you do not set a value for this parameter, Pcmail prompts you for the password instead. If you want to change your Pcmail password, change the password using the S command in vmail first, then change the setting for this Password parameter.

Caution: The password that you specify for this parameter is visible to anyone who can access your PCTCP.INI file.


Identifies your PC as a client to the server, where hostname is the name or Internet address of your PC. If you do not set this parameter, Pcmail uses the Host name and Domain name parameters in the DNS configuration parameters group.


Identifies the remote host that provides your Pcmail service. Specify either the hostname or the Internet address of the host. This parameter is required.


Advanced Pcmail Parameters
 Additional Pcmail Parameters

Set or change the settings of parameters that apply to the DOS Pcmail client program.

To set an advanced Pcmail parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Extended repository

Log level

Maximum changed messages to receive

Maximum size limit

Network timeout

Reply to

Reply to address

Top level directory

Related Topic

Pcmail Parameters


Specifies the TCP port number monitored by the Pcmail server for connections made by the Pcmail client.

Default: 158


Specifies the level of error logging done by the Pcmail program. Specify one of the following levels:

     log_nothing	Does not log errors.

     log_info	Log errors about unusual mail activity. For example, if Pcmail skips over a mailbox because it cannot retrieve messages from that mailbox,  the error message that results is logged at this level.

     log_warning	Logs warning messages, which indicate potential problems that can be avoided.

     log_err	Logs all errors.

     log_crit	Logs critical errors that halt the program.


Sets the maximum number of messages that the Pcmail client transfers from the server to your PC at one time. If you have ample disk storage space, set this parameter to 0, which causes all messages to be retrieved. If you have limited disk space, set this parameter to a low number, such as 10.


Sets the maximum length (in bytes) of messages to be retrieved automatically from the server. Messages longer than this limit can be retrieved with the g command in vmail before running the Pcmail client. If this parameter is set to 0 or not set, the client retrieves all messages automatically, regardless of length.


Sets the number of minutes that the Pcmail client pauses for the server to respond to its connection on the TCP port used by the program.

Default: 5


Specifies your Reply-to: electronic mail address in the header of any message that you compose using the vmail program.


Specifies that the replies sent to your messages are redirected to the complete address of the mailbox whose name is specified by mailbox after the reply-to- prefix. If this parameter is unused, replies to your posts appear in your main (default) mailbox. Specify this parameter if you want to separate replies from the other messages in your main mailbox.


Specifies the top-level directory location of the NNTP system files and subdirectories on your PC. This parameter is required and must be unique for the NNTP client.


 POP2 Parameters

Set or change the settings of parameters that apply to the DOS POP2 client program.

To view help for a parameter, select it from this list:

Client

Mail storage location

Server

Username

Related Topic

Additional POP2 Parameters


Identifies your PC as a client to the server, where hostname is the name or Internet address of your PC. If you do not set this parameter, pop2 uses the Host name and Domain name parameters in the DNS configuration parameters group.


Specifies the top-level directory location of the POP2 system files and subdirectories on your PC. This parameter is required and must be unique for the POP2 client.


Identifies the remote host that provides your POP2 service. Specify either the hostname or the Internet address of the host.

Note: You can override this parameter with the pop2 -h hostname command.


Specifies the username (login name or user ID) that lets you access the remote host providing your mail service. If you do not set this parameter, pop2 prompts you for the username. If you want to use the User name parameter in the General parameters group, do not set this entry.

Note: You can override this parameter with the pop2 -u hostname command.


Additional POP2 Parameters

Set or change the settings of parameters that apply to the DOS POP2 client program.

To view help for a parameter, select it from this list:

Default mailbox

Maximum changed messages to retrieve

Port

Reply to

Related Topic

POP2 Parameters


Specifies your main (default) mailbox. This parameter is useful if there are two users reading mail on the same PC. Note:  You can override this parameter with the pop2 -n main_mailbox command.


Sets the maximum number of messages that the POP2 client transfers from the server to your PC at one time. Setting this parameter to 0 causes the client to retrieve all messages. If you have limited disk space, set this parameter to a low number, such as 10.

This parameter is available only in Advanced mode.


Specifies the TCP port number monitored by the POP2 server for connections made by the POP2 client. Default: 109

This parameter is available only in Advanced mode.


Specifies your Reply-to: electronic mail address in the header of any message that you compose using the vmail program.


POP3 Parameters

Set or change the settings of parameters that apply to the DOS POP3 client program.

To view help for a parameter, select it from this list:

Client

Mail server hostname

Username

Related Topic

Additional POP3 Parameters


Specifies your PC as a client to the POP3 server. Specify either the hostname or the IP address of your PC. If you want to use the Host name parameter in the DNS configuration parameters group, do not set this entry.


Specifies the remote host that provides your mail service. Specify either the hostname or the IP address of the host.

Note:  You can override this parameter with the pop3 -h hostname command.


Specifies the username (login name or user ID) that lets you access the remote host providing your mail service. If you do not set this parameter, the program prompts you for the username. f you want to use the User name parameter in the General parameters group, do not set this entry.

Note:  You can override this parameter with the pop3 -u username command.


 Additional POP3 Parameters

Set or change the settings of parameters that apply to the DOS POP3 client program.

To set an additional POP3 parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Basic Mode

Default mailbox

Reply to

Top level directory

Advanced Mode

Maximum changed messages to retrieve

Port

Server bulletin board support

Server RPOP support

Server transmit support

Related Topic

POP3 Parameters


Specifies your main (default) mailbox. This parameter is useful if there are two users reading mail on the same PC.

Note:  You can override this parameter with the pop3 -n main_mailbox command.


Sets the maximum number of messages that the POP3 client transfers from the server to your PC at one time. Setting this parameter to 0 causes the client to retrieve all of your messages. If you have limited disk space, set this parameter to a low number, such as 10.


Specifies the TCP port number monitored by the POP3 server for connections made by the POP3 client. Default: 110


Specifies your Reply-to: electronic mail address in the header of any message that you compose using the vmail program.


Specifies if you can use bulletin boards. If you know that your POP3 server does not support bulletin boards, set this parameter to no. If you know that your POP3 server does support bulletin boards, set this parameter to yes. Default: no


Specifies if you use the RPOP program. Your user ID must be included in the .rhost file on the remote host that provides your mail service. The .rhost file lets you log in to the remote host without a password. Default: no

Note:  This parameter is applicable only to some versions of the POP3 server.


Specifies if you use the POP3 server for sending mail. If set to no, the client attempts to send mail using SMTP. This parameter is applicable only to the POP3 client. Default: no

Note:  Not all POP3 servers support this feature.


Specifies the top-level directory location of the POP3 system files and subdirectories on your PC. This parameter is required and must be unique for this mail client.


 Vmail Parameters

Set or change the settings of parameters that apply to the DOS Vmail (visual mail reader) program.

To view help for a parameter, select it from this list:

Client Section

Reply to

Aliases filename

Signature filename

Related Topic

Additional Vmail Parameters


Specifies the electronic mail client to be used by vmail. This parameter lets you use more than one mail client program. For example, if you typically use the Pcmail client to read your mail, set this value to pcmail. This setting causes vmail to use the values set for your Pcmail configuration.

If you want to use another client in addition to the Pcmail client, use vmail -c client to specify that the program use the client section named by client.

Valid types are: nntp, pcmail, pop2, pop3


Specifies your Reply-to: electronic mail address in the header of any message that you compose using the vmail program.

Note:  Any Reply-to parameter that is set for a specific mail client (Pcmail, POP2, or POP3) overrides the setting of this parameter.


Specifies the full pathname, including drive letter, of a text file that contains the list of aliases used by vmail. The aliases are used as alternate mail addresses, such as for group mailing lists.


Specifies the location of a signature file, which contains text that you want to append to every message that you compose using the editor that you specified for use with vmail. The signature text is not included in messages that you forward.


Additional Vmail Parameters

Set or change the settings of parameters that apply to the DOS Vmail (visual mail reader) program.

To set an additional Vmail parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Basic Mode

Editor

Folder

Full name

Header fields to highlight

Header fields to ignore

High resolution

Indent replies

Low resolution

NNTP posting permitted

Printer

Record filename

Advanced Mode (includes Basic Mode parameters and the following parameters)

Arrow keys skip new mailboxes

Overwrite prompt

Print nonprintable characters

Related Topic

Vmail Parameters


Specifies that the screen display appear in high-resolution mode. This parameter sets the display of lines to the highest resolution mode, 43 lines or 50 lines, that is supported by your PC's video card. If your card does not support high-resolution mode, the screen display defaults to low (25-line) resolution.


Sets a low (25-line) resolution screen display, if this parameter is present in the [pctcp vmail] section. This is the default screen display resolution.


Specifies that the up-arrow and down-arrow keys move to the next mailbox which contains new messages. If set to yes, the vmail program skips mailboxes that do not contain new messages.

Default: yes


Specifies the text editor invoked by vmail when you compose messages. Use the full pathname, including the drive letter, such as c:\editor.exe %s, where %s is automatically replaced by the file that you want to edit. You can also include command line options used by the editor in this setting.


Specifies the drive and directory where the messages that you save in vmail are stored. If you do not set this parameter and you save a message, the messages are stored in the current directory. You should provide a setting for this parameter, because you may have difficulty locating a saved message if you do not remember which directory was current at the time that you saved the mail message to a file.


Specifies your full name in the header of every message that you send. By default, vmail uses the name specified in the fullname= parameter in the [pctcp general] section of the PCTCP.INI file.


Specifies the field(s) that you want highlighted in the header of each vmail message. If you specify more than one field, separate each field by a space. If you do not specify a field for this parameter, no fields will be highlighted. For example, if you want the To: and From: fields highlighted, enter the following:

To From


Specifies the header field(s) of each vmail message that you do not want displayed. If you specify more than one field, separate each field by a space. For example, if you do not want to see the fields Received:, UID:, Message-ID:, and Repository:, enter the following:

Received UID Message-ID Repository


Specifies the string of characters to use when indenting replies. If you specify nothing, vmail does not indent replies. Default: four blank spaces


Specifies if posting is permitted to network news groups. If set to no, posting is not permitted. This parameter is only relevant if you use the NNTP client.

Default: yes


Specifies if vmail prompts you to confirm that the program will overwrite the last message saved in the DEAD.LET file. The program displays the prompt if you decide not to send your current message.

Default: no


Specifies if vmail displays unprintable characters on your screen (for example, the bell, Tab, Return, and Control characters).

Default: no


Specifies the name of the default printer for the Pcmail server that provides your electronic mail.


Specifies the full pathname, including the drive letter, of a text file that stores copies of outgoing mail messages. This parameter lets you keep a copy of all of your outbound messages. Make certain that you reduce the size of the file periodically, so that it does not take up too much of your PCs disk space.


InterDrive parameters
InterDrive

Use the InterDrive dialog box to set or change the settings of parameters that apply to InterDrive, the NFS client.

To modify a parameter, you should select an InterDrive group from the list, then choose Modify.

Select this group:	To modify these parameters:

Basic	Username, default drives and printers, and configured printers.

Fine Tuning	Maximum number of file systems and printers, file use and management parameters, and settings that affect the exchange of data between InterDrive and NFS servers.

VxD Fine Tuning	Maximum number of file systems and printers, file use and management parameters, and settings that affect the exchange of data between InterDrive and NFS servers. These settings override any settings in Fine Tuning.

File Systems	The names and settings of NFS file systems. You can add, delete, and update file systems.

Related Topics

NFS Printer Parameters

Additional NFS Printer Parameters


InterDrive Basic parameters
InterDrive Basic

Use the InterDrive Basic dialog box to set global InterDrive parameters that apply to all interactions with an NFS server system. When you change a parameter, you must restart InterDrive for the change to take effect. You can override many of these global settings with InterDrive File System parameters.

To set basic InterDrive parameters

1.	In the Configure main dialog box, select InterDrive and choose Modify.

2.	In the InterDrive dialog box, select Basic and choose Modify.

3.	In the InterDrive Basic dialog box, specify whether or not to load the InterDrive VxD whenever Windows starts. Select yes if you want to automatically use InterDrive whenever you start Windows.

Type a username to use when logging into remote hosts as an NFS client.

In the Default Drives box, type the name of a drive definition and choose Add to add the drive to the list of connections that are automatically made when Windows starts.

--or--

Select a drive and choose remove to eliminate the drive connection from those automatically started when Windows starts.

In the Default Printers box, type the name of a printer definition and choose Add to add the printer to the list of connections that are automatically made when Windows starts.

--or--

Select a printer and choose remove to eliminate the printer connection from those automatically started when Windows starts.

In the Available Printers box, choose Add to define a new InterDrive printer connection.

--or--

Select a printer in the list and choose Update to change the printer definition.

--or--

Select a printer in the list and choose Remove to disconnect a print connection.

To view help for a parameter, select it from this list:

Load InterDrive VxD

User name

Default drives

Default printers

Available Printers


Specifies if the InterDrive NFS client loads when Windows starts.

Default: yes, if you install InterDrive


Specifies your username for authentication purposes on the NFS server. To log in without authentication, specify a username of nobody. The remote host does not prompt you for a password and gives you the permissions of an anonymous guest. If you specify ?, InterDrive prompts you for a username. If you specify *, InterDrive sets your username to the default. This parameter is optional. InterDrive derives the default username from the first value it finds of the following:

- A username that you set with the DOS idnet command.

- The username you set in the InterDrive Basic parameters group.

- The username you set in the General parameters group or during installation.

If no value is specified with any of these methods, InterDrive sets the username to nobody.


Specifies one or more configured file systems to mount all at once, either when you start Windows or when you use the DOS idmnt -a command. The default drives are names of individual file systems that you have configured, generally by using Network Control or idnet, or from the File system configuration item in the InterDrive menu of the Configure utility.

Note that the number of file systems in this list cannot exceed the value you set in the Maximum mount entries parameter in the InterDrive Fine Tuning or InterDrive VxD Fine Tuning dialog box.


Specifies one or more configured print sessions to mount all at once, either when you start Windows or when you use the DOS idprint mount all command. The default printers are names of individual print sessions that you have configured, generally by using Network Control or idnet, or by choosing Add in the Available Printers group box of this InterDrive Basic dialog box.

Note that the number of printers in this list cannot exceed the value you set in the Maximum print entries parameter in the InterDrive Fine Tuning dialog box.


Lists the names of configured print sessions. You can add new sessions, change the parameters of an existing session, or delete a session.


InterDrive Fine Tuning

Use the InterDrive Fine Tuning dialog box to set global InterDrive parameters that apply to all interactions with an NFS server system. When you change a parameter, you must restart InterDrive for the change to take effect. You can override many of these global settings with InterDrive File System parameters.  Any parameter that you set for the InterDrive VxD overrides any value you set in this dialog box.

To set an InterDrive fine tuning parameter

1.	In the Configure main dialog box, select InterDrive and choose Modify.

2.	In the InterDrive dialog box, select Fine Tuning and choose Modify.

3.	In the InterDrive Fine Tuning dialog box, select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Basic Mode

Authentication

Automatic login

CD-ROM

Confirm

Debugging messages

Drive timeout

File locking

File Manager/LongFileNames

Hide dotfiles

Load high

Lock timeout

Lookup cache buffers

Lookup cache timeout

Lowercase filename map

Make permanent

Map character

Maximum concurrent print mounts

Maximum mount entries

Maximum name mappings

Maximum stream length

PCNFSD server

RPC timeout

Symbolic link processing

Timeout

Transaction buffers

Use Expanded Memory (EMM)

Advanced Mode (includes Basic Mode parameters and the following parameters)

Directory cache buffers

File lock entries

File permission mask

Permanent filename mappings

Print buffer size

Read size

Read/write cache buffer size

Read/write cache buffers

Use TCP connections

Write size

Related Topic

InterDrive VxD Fine Tuning


Additional NFS Client Parameters
InterDrive VxD Fine Tuning

Use the InterDrive VxD Fine Tuning dialog box to set parameters that the VxD InterDrive client uses to override InterDrive Fine Tuning settings. Because the InterDrive VxD uses Windows memory management, it can set higher values than the InterDrive TSR that was available in earlier releases of this product.

To set an InterDrive VxD fine tuning parameter

1.	With Configure in Advanced Mode, in the Configure main dialog box, select InterDrive and choose Modify.

3.	In the InterDrive dialog box, select VxD Fine Tuning and choose Modify.

4.	In the InterDrive VxD Fine Tuning Select dialog box, select a parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Directory cache buffers

File lock entries

Lookup cache buffers

Maximum concurrent print mounts

Maximum mount entries

Maximum name mappings

Print buffer size

Read/write cache buffer size

Read/write cache buffers

Transaction buffers

Related Topic

InterDrive Fine Tuning


Specifies the type of authentication to use to log in to the NFS file server. To mount file systems as read-only, append /r to the authentication type.

Default: pcnfs


Specifies if you want to use a default username and password for all network connections during an InterDrive session. If set to yes, InterDrive prompts you once for a username and password and uses the information for all subsequent network connections, unless you change the information.

Default: Yes


Specifies whether InterDrive should dynamically adjust read size, write size, and stream values for this file system based on network conditions. If Autotuning, an Additional File System Parameter, is off and read size, write size, and stream parameters are specified, InterDrive uses the specified values. If Autotuning is on, InterDrive  uses the specified value as an upper limit, but may adjust them based on the number of successful attempts to get and send data.

Default: on


Specifies if the InterDrive client treats file systems that you connect to as CD-ROM drives. Setting this parameter to yes prevents InterDrive from mapping all of the names on a CD-ROM drive. This parameter is not usually applicable globally; you can set it for a specific file system.

Default: no


Specifies whether the Idnet menu interface prompts for confirmation before completing certain actions.

Default: No


Specifies whether the Idnet menu interface displays detailed messages for debugging purposes.

Default: no


Sets the maximum number of cache buffers that InterDrive uses to retain the names of directories accessed during a directory search. The number of buffers roughly corresponds to the number of directory levels.

Range: 30 - 1000

Default: 200


Specifies what InterDrive should do following a timeout after attempting to send data to the NFS server. The timeout period is specified by the Timeout Fine Tuning parameter. A value of yes causes InterDrive to silently disconnect the affected file system after a timeout. A value of no causes InterDrive to fail the request with an error.

Default: no


Sets the maximum number of entries that InterDrive can use for storing information about locked files.

Range: 50 - 65535

Default: 5000


Specifies if you want InterDrive to use sharing and file locking. A yes enables file locking; a no disables it.

Default: yes


Specifies if you want Windows File Manager to display mapped filenames as they would appear if you were logged in to the remote system (in unmapped, or long, format). The FTP Software Network Driver sets this parameter when you select the appropriate check box in Windows.

Default: no


Sets the default UNIX-style file permission mask to apply to all files created or saved on mounted file systems. Use three or four octal values to specify permissions. If you specify three digits, they set read, write, and execute permission attributes for the user classes: user, group, and other. These attributes must be in the range 07. If you specify four digits, the first digit has the following value and meaning

4	Sets the setuid bit on execution.

2	Sets the setgid bit on execution.

1	Sets the sticky bit.

The three subsequent digits set read, write, and execute permission attributes.

Default: 775


Specifies a group identifier (GID) other than the primary GID for the user mounting this file system. Mounting under an alternate GID is sometimes necessary because of file access privileges. The user must be defined on the server as a valid member of the group specified.


Specifies whether InterDrive should display filenames beginning with a dot on a mounted file system (these are usually UNIX hidden files).

Default: no


This option does not apply to this product.


Sets a maximum amount of time, in seconds, during which InterDrive attempts to synchronize file sharing with the NFS server. When file locking is on and a file is currently in use, InterDrive keeps trying to open the file for the specified amount of time.

Setting the value to 0 places no time limit on the synchronization period. This parameter has no effect when file locking is disabled. You can use the idconfig -z command to change this value for an existing InterDrive session.

Range: 0 - 15
Default: 3


Sets the maximum number of entries in the look-up cache, which speeds the retrieval of frequently used data. The minimum value is 9; the maximum is calculated and varies depending on the number of entries and the length of filenames, but is generally about 500. A value of 0 disables lookup caching.

Range: 512 - 65535
Default: 1024


Sets the number of seconds that InterDrive stores information about files and directory names in the lookup cache before obtaining fresh information from the server. Setting this parameter to 0 causes InterDrive to cache file information indefinitely.

Range: 0 - 300
Default: 30


Specifies how to map filenames. If set to yes, InterDrive creates mappings for lowercase and mixed-case filenames that do not conform to DOS naming conventions or that duplicate an uppercase filename. If set to no, InterDrive creates mappings for uppercase and mixed-case filenames. This parameter does not affect the mapping of lowercase international characters.

Default: no


Specifies whether the Idnet menu interface should make all new connections permanent by default. The Idnet program restores permanent connections when it starts.

Default: yes


Specifies the special character to use in mapped filenames.

Valid characters:  ~ @ $ % { } ^ ! # ( ) &
Default: ~


Sets the maximum number of NFS printers that you can mount concurrently. Specify 0 if you are not planning to use a remote NFS printer and want to save memory.

Range: 0 - 7

Default: 7


Sets the maximum number of file systems that you can mount concurrently.

Range: 1 - 26

Default: 26

Note:  Verify that the lastdrive= parameter in your CONFIG.SYS file is set high enough to accommodate the number of mounted drives that you want to use.


Sets the maximum number of entries allowed in the name-mapping cache. The minimum is 32 entries; the maximum is 2048.

Range: 2048 - 65535
Default: 2048


Sets the number of packets that InterDrive can send before waiting to receive acknowledgment from the server. Setting the value to 0 disables streaming, which can improve performance when InterDrive is using a read size of larger than 1024 bytes. The maximum value is 7.

FTP recommends that you set Autotuning, an Additional File System Parameter, to on and allow InterDrive to establish the most appropriate stream value. If autotuning is on and this parameter exists, InterDrive uses the specified value as an upper limit, but the actual value may vary. If autotuning is off and this parameter exists, InterDrive uses the specified value.

Note:  The number of transaction buffers allocated automatically sets an upper limit on the stream value. To increase the number of transaction buffers, edit the transaction-buffers= parameter.

Range: 0  7

Default: Varies depending on kernel configuration and InterDrive read size.


Specifies that you want InterDrive to retain the first mapped name it generates for the specified file for the duration of the InterDrive session. Specify the unmapped name of the file. Create a permanent filename mapping for each file whose mapped name should stay the same.


Sets the size of the print data buffer, in bytes, to use for NFS printing.

Range: 1024 - 8192

Default: 4096


Sets the largest amount of data, in bytes, that InterDrive reads in a single UDP packet.

FTP recommends that you set Autotuning, an Additional File System Parameter, to on and allow InterDrive to establish the most appropriate read size. If Autotuning is on and this parameter exists, InterDrive uses the specified value as an upper limit, but the actual value may vary. If Autotuning is off and this parameter exists, InterDrive uses the specified value.

Range: 512  8192

Default: Varies depending on kernel configuration, streaming, network capacity, and NFS server transfer size.


Sets the size of each read-write cache buffer that InterDrive uses to service file access requests. If no Read/write cache buffers, an InterDrive Fine Tuning  parameter, were allocated, then read-write caching is disabled and the default value for this parameter is 0.

Range: 64 - 2048
Defaults: 2048


Sets the number of read-write buffers that InterDrive uses to service file access requests. A value of 0 disables read-write caching.

Range: 0-254
Default: 50 (VxD)


Specifies the hostname or IP address of a PCNFSD server that authenticates NFS users. This parameter is necessary only if the authentication server is different from the NFS server where the file systems you want to mount exist.


Sets the maximum time period that InterDrive pauses for acknowledgment of RPC requests from the server.

If the mount daemon is slow in responding, or if it has to verify your hostname using a remote Domain Name System (DNS) lookup, you may need to increase the value of this parameter.

Range: 1  300
Default: 30


Specifies if symbolic link processing occurs. Do not turn off symbolic link processing while working in a directory that you accessed through a symbolic link.

Default: yes


Specifies if TCP is used instead of UDP packets for NFS connections. Currently only a few servers support NFS over TCP, but TCP connections often perform better than UDP over long distances. If you request TCP and the remote host does not support it, InterDrive displays a warning and tries to use NFS over UDP.

Default: no


Sets the maximum number of seconds that InterDrive spends resending packets to the NFS server when the server or the network is not responding. Typically, a timeout eventually results in a DOS system error message or the DOS prompt. DOS error messages refer to the process that you were running when the timeout occurred. In some cases, InterDrive may time out earlier than specified.

Default: 30


Sets the maximum number of transaction buffers for InterDrive to use in its internal functions. InterDrive automatically sets this parameter to the appropriate value based on the stream value. You should not need to set or change it.

Range: 1- 50
Default: 8


This option does not apply to this product.


Sets the largest amount of data, in bytes, that InterDrive writes in a single UDP packet.

FTP recommends that you set Autotuning, an Additional File System Parameter, to on and allow InterDrive to establish the most appropriate write size. If Autotuning is on and this parameter exists, InterDrive  uses the specified value as an upper limit, but the actual value may vary. If Autotuning is off and this parameter exists, InterDrive uses the specified value.

Range: 512  8192


File Systems

Use the InterDrive File System Configuration dialog box to create or delete a file system or change the parameters for an existing file system that you mount using InterDrive.

To set a file system parameter

1.	With Configure in Advanced Mode, in the Configure main dialog box, select InterDrive and choose Modify.

2.	In the InterDrive dialog box, select and choose Modify.

To create a file system

1.	Choose Update.

2.	Enter the information in the next dialog box.

To delete a file system

1.	Select the file system to delete.

2.	Choose Remove.

To change a file system configuration

1.	Select the file system you would like to modify.

2.	Choose Update.

3.	Edit the information in the next dialog box.

Related Topics

File System Parameters

Additional File System Parameters


File System Parameters

Use the InterDrive File System Configuration XXX (where XXX represents the name you use to describe the file system) dialog box, to set parameters that apply to a specific file system; these parameters override any global settings in the InterDrive Basic and Fine Tuning dialog boxes.

To set a file system configuration parameter for a specific file system

1.	With Configure in Advanced Mode, in the Configure main dialog box, select InterDrive and choose Modify.

2.	In the InterDrive dialog box, select and choose Modify.

3.	In the InterDrive File System Configuration XXX dialog box, select Update or Add.

4.	Type or select the information for the file system connection.

5.	Optionally, choose Additional. In the next dialog box, select a parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box

To view help for a parameter, select it from this list:

Host

Remote Path

Drive

User name

Authentication

Related Topics

File Systems

Additional File System Parameters


Specifies the hostname or IP address of the NFS server whose file system you want to mount.


Specifies the pathname of the file system to be mounted. Use the path syntax supported by the operating system on the NFS server. Use the forward slash (/) instead of the DOS backslash (\) for pathnames on a UNIX system host; for example, /usr/ftp/public is a valid path specification for a UNIX system host. Note that some NFS servers on DOS systems require you to specify the drive letter.


Specifies a drive letter to associate with the remote file system. The letter must be within the limits of the lastdrive= parameter in your CONFIG.SYS file and must not be already in use. If you create and configure multiple File systems, the drive letters that you specify do not have to be in sequential order. You can specify a drive letter followed by an asterisk (*) to mount the file system using the specified drive letter or, if that is unavailable, using the next sequentially available letter.


Additional File System Parameters

Use the additonal InterDrive File System Configuration XXX dialog box to set parameters that apply to a specific file system; these parameters override any global settings in the InterDrive Basic and Fine Tuning dialog boxes.

To set an additional file system parameter

1.	With Configure in Advanced Mode, in the Configure main dialog box, select InterDrive and choose Modify.

2.	In the InterDrive dialog box, select and choose Modify.

3.	In the InterDrive File System Configuration XXX dialog box, select Update or Add.

4.	In the next dialog box, select a parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box

To view help for a parameter, select it from this list:

Basic Mode

Autotuning

CD-ROM

Drive timeout

File locking

Group Identifier
Lowercase filename map

Maximum stream length

Timeout

Advanced Mode (includes Basic Mode parameters and the following parameters)

File permission mask

Read size

Use TCP connections

Write size

Related Topic

File System Parameters


NFS Printer Parameters

To view help for a basic parameter, select it from this list:

Host

Local printer port

Remote printer name

Username

Banner

Related Topic

Additional NFS Printer Parameters


Specifies the hostname or IP address of the NFS server that controls the network printer that you want to mount.


Specifies the local printer port (LPT1, LPT2, LPT3, COM1, COM2, COM3, or COM4) whose output you are redirecting to the network printer.


Specifies the name of the network printer you want to mount.


Specifies the username that you want to appear on the banner page of the printed file. If you specified nobody for the Username parameter, use this parameter to specify your name.


Additional NFS Printer Parameters

To set an additional parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Comment

Display only owner's jobs

Filename

Job ID

Number of copies

Print conditions

Print job timeout

Printer-specific options

Remote printer queue position

Related Topic

NFS Printer Parameters


Specifies an optional comment to send with the print job. This parameter is used for debugging and is supported by PCNFSD version 2 only.


Specifies if you want to display only the owners jobs in the print queue. If you specify no, you see all jobs in the print queue. This parameter is supported by PCNFSD version 2 only.

Default: no


Specifies the name of the print spool file on the print server.


Specifies the job identification number for a print file. This parameter is supported by PCNFSD version 2 only.


Sets the number of copies to print. This parameter is supported by PCNFSD version 2 only.

Default: 1


Specifies one or more conditions to signal that you want to send a file to print. Separate multiple condition keywords with commas or spaces.

     The following are valid keywords:

     timeout 	Print when the specified period has elapsed since the last character arrived at the redirected printer port. Use the Print job timeout parameter to change the default value.

     hotkey	Print when you press Ctrl+RightShift+LeftShift.

     eof	Print when you close the file.

     exit	Print when you exit from the DOS program from which you chose to print the file.

     Default: timeout


Sets a timeout period after which InterDrive sends a file to the printer. Ensure that this value allows enough time for an program to format your file for printing.

Default: 30 seconds


Specifies printer-specific commands to send to the printer.


Specifies the position of the print job in the print queue. This parameter is supported by PCNFSD version 2 only.


Terminal Emulation Parameters

Set or change the settings of parameters that apply to terminal emulation in DOS.

Select a terminal emulation group from the list onscreen, then choose Modify.

Select this group:	To modify these parameters:

Telnet	DOS Telnet session characteristics, including screen saver, back arrow key, and command line.

3270	3270 emulation characteristics in DOS, including keymap, bell, and mouse.

VT	VT emulation characteristics in DOS, including keymap, scroll lines, and wrap line.

Screen attributes	Other terminal emulation characteristics in DOS, including video card and IBM PC settings. This group is available in Advanced mode only.


Telnet Parameters

Set or change the settings of parameters that apply to the DOS tn program that provides both DEC VT and IBM 3270 terminal emulation.

To view help for a parameter, select it from this list:

Back arrow key

Command line

FTP server

Screen saver

Related Topics

Additional Telnet Parameters

3270 Parameters

Additional 3270 Parameters

VT Parameters

Additional VT Parameters

Screen Attributes


Specifies if pressing the Backspace (<-) key on your keyboard sends an ASCII backspace character or an ASCII delete character during a Telnet session. A delete character erases characters that you have typed. A backspace character travels back over characters that you have typed without erasing them.

Default: del


Specifies a default remote host to connect to, as well as any other tn command line options (each field separated by a space). This lets you start tn or create a new connection without having to specify command line options. If you do specify other options on the command line, those options override this parameter.


Specifies if you enable an embedded FTP server automatically on your PC when you start tn. If you specify on, other users can establish an FTP connection and transfer files to and from your machine. Valid keywords are on, off, and never. Specifying never prevents enabling of the FTP server from within a Telnet session.

Default: off


Specifies if a screen saver runs on your PC while you use tn. If the value is yes, tn passes your keystrokes to DOS as well as to the remote host. This prevents the screen saver from activating during a Telnet session. If set to no, tn passes your keystrokes to the remote host only.

Default: no


Additional Telnet Parameters

Set or change the settings of parameters that apply to the DOS tn program that provides both DEC VT and IBM 3270 terminal emulation.

To set an additional Telnet parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Authentication

Encryption

IBMPC terminal identifier

Status line

X display

Related Topics

Terminal Emulation Parameters

3270 Parameters

Additional 3270 Parameters

VT Parameters

Additional VT Parameters

Screen Attributes


Specifies 1) whether to provide Kerberos authentication services for a Telnet session, and 2) how to proceed if authentication synchronization fails.

Possible state keywords are as follows:

     This keyword	Indicates this

     enabled	Turn Kerberos authentication on.

If authentication synchronization with the Kerberos server fails, keep Telnet session open and prompt for username and password.

     disabled	Turn Kerberos authentication off.

     required	Turn Kerberos authentication on.

If authentication synchronization with the Kerberos server fails, close the Telnet session.

Default: enabled


Specifies 1) whether to encrypt Telnet session data, and 2) how to proceed if encryption synchronization fails.

Possible state keywords are as follows:

     This keyword	Indicates this

     disabled	Turn encryption off.

     enabled	Turn encryption on.

If encryption synchronization with the Kerberos server fails, send Telnet data unencrypted.

     required	Turn encryption on.

If encryption synchronization with the Kerberos server fails, close the Telnet session.

Default: disabled


Specifies an alternative IBM PC identifier for tn to use when synchronizing with the remote host for a terminal type. If the terminal information database on the remote host does not contain RFC_standard identifiers, use this parameter to specify an identifier that does exist in the remote hosts database. If you are unsure how to get this information, ask the administrator of the remote system.


Specifies if the status line displays at the bottom of the screen in a tn connection. The status line displays the remote hostname, the date and time, and any messages resulting from certain escape commands. If this parameter is set to off, the status line does not display.

Default: on


Specifies the host name of your display hardware for the X Window System. This lets you set your display environment on the local  rather than the remote  host.

     This variable	Indicates this

     hostname	The hostname of the display hardware. You can specify a hostname or an IP address.

     server	The server number. (Refers to a collection of monitors that share a common device such a keyboard.) Each server is assigned a number beginning at 0.

     screen	The screen number. (Refers to the collection of screens in a multiple server configuration.) Each screen is assigned a number beginning at 0.


3270 Parameters

Set or change the settings of parameters that apply to the DOS tn program in IBM 3270 terminal emulation mode.

To view help for a parameter, select it from this list:

3270 keymap file

Bell

Lightpen

Mouse

Related Topics

Terminal Emulation Parameters

Additional Telnet Parameters

Additional 3270 Parameters

VT Parameters

Additional VT Parameters

Screen Attributes


Specifies the drive, directory, and filename of an alternative key mapping file to use during IBM 3270 terminal emulation. If you specify no alternative file, or if OnNet16 cannot read the file, the tn program uses default key mappings.


Specifies if your PC bell rings in situations when a bell would ring on a real 3270 terminal.

Default: on


Specifies if a light pen connected to your PC emulates a 3270 selector pen on the remote host.

Default: off


Specifies if a mouse connected to your PC emulates a 3270 selector pen on the remote host.

Default: off


Additional 3270 Parameters

Set or change the settings of parameters that apply to the DOS tn program in IBM 3270 terminal emulation mode.

To set an additional 3270 parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Alternate screen overrides default

ASCII/EBCDIC translation table

Emulate model 3

Extended attribute mappings

Extended attribute mappings (reverse video)

Yale style null processing

Related Topics

Terminal Emulation Parameters

Additional Telnet Parameters

3270 Parameters

VT Parameters

Additional VT Parameters

Screen Attributes


Specifies if you use the alternate screen size for the chosen terminal type. For use with 3270 programs that request the alternate screen size. This parameter can take one of the following values:

     no	When a 3270 program requests the default screen size, the default screen size is used; when a 3270 program requests the alternate screen size, the alternate screen size is used.

     yes	When a 3270 program requests either the default or the alternate screen size, the alternate screen size is used.

Default: no


Specifies the drive, directory and filename of an alternative ASCII-to-EBCDIC translation table. If you specify no table, or if the terminal emulation program cannot read the file, the tn program uses a built-in translation table.


Specifies the model number to submit when you use the tn -h command to request a 3278 terminal type with extended screen height. This parameter, in combination with the -h option of the tn command, determines whether the requested terminal type is 3278 Model 3 or 3278 Model 4. Specify 3 or 4.

Default: 4


Sets seven screen color values. Each value corresponds to a 3270 extended color attribute. Specify each value in decimal, hexadecimal, or octal format, and use commas to separate values. All seven values are required even if you do not want to change them all. To accept the default color for a value, specify 0.

Default: 0x09,0x04,0x05,0x02,0x03,0x0E,0x0F


Sets seven reverse video screen color values. Each value corresponds to a 3270 extended reverse video color attribute. Specify each value in decimal, hexadecimal, or octal format, and use commas to separate values. All seven values are required even if you do not want to change them all. To accept the default color for a value, specify 0.

Default: 0x10,0x40,0x50,0x20,0x30,0x60,0x70


Specifies if the 3270 emulator uses Yale-style null processing. When this parameter is set to on, the emulator replaces null characters in a modified field with blanks before sending data to the remote host.

Default: on


VT Parameters

Set or change the settings of parameters that apply to the DOS tn program in DEC VT terminal emulation mode.

To view help for a parameter, select it from this list:

Bell

Line wrap

Scrollback lines

VT220 keymap file

Related Topics

Terminal Emulation Parameters

Additional Telnet Parameters

3270 Parameters

Additional 3270 Parameters

Additional VT Parameters

Screen Attributes


Specifies if your PC bell rings in situations when a bell would ring on a real DEC VT terminal.

Default: on


Specifies if extra characters in a long line wrap to the next line or overwrite existing characters on the same line. Specify on if you want lines to wrap; specify off if you do not want them to wrap.

Default: off


Sets the number of lines that you want a scrollback buffer to contain. The value can be an integer in the range 1 to 10,000.


Specifies the drive, directory, and filename of an alternative key mapping file for use during VT terminal emulation. If you do not specify an alternative file, or if the terminal emulation program cannot read the file, the tn program uses default key mappings.


Additional VT Parameters

Set or change the settings of parameters that apply to the DOS tn program in DEC VT terminal emulation mode.

To set an additional parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

8 bit

Allow VT220 8 bit

Answerback text

Character set

Default emulator mode

Use bottom line

VT100 terminal identifier

VT220 terminal identifier

Related Topics

Terminal Emulation Parameters

Additional Telnet Parameters

3270 Parameters

Additional 3270 Parameters

VT Parameters

Screen Attributes


Specifies if tn requests the Telnet binary option when synchronizing a connection with the remote host. When binary mode is on, all data is in 8-bit format and is interpreted literally, without modification or filtering. The remote host may reject this request. For example, binary mode is not supported for VT100 and VT52 terminal types. Note also that binary mode may not work properly with all remote systems.

Default: off


Specifies if tn accepts a request from the remote host to change to a VT220 terminal type with 8-bit control sequences (normally, VT220 control sequences are in 7-bit format). With 8-bit controls, some remote systems do not interpret carriage returns and line feeds properly, making the display difficult to read.

Setting this parameter to off prevents tn from changing to 8-bit mode in response to a request from the remote host. However, if a user requests 8-bit mode using the m escape command, the request overrides this parameter.

Default: on


Specifies a message that the terminal sends in response to a query from a remote host.

Default: FTP


Specifies the character set to use in VT emulation.

     This keyword	Indicates this

     DEC	The DEC Multinational character set. Allows you to use code pages 437 and 850.

     HFT	The HFT character set. Allows you to use any code page. Valid only for VT100 emulation.

Default: DEC


Specifies a default terminal type for tn to request at start-up.

Valid keywords are vt220, vt100, vt52, and ibmpc.

Default: vt220


Specifies if the VT emulator uses the bottom line of the screen (the status line). Specify on if you want the VT emulator to use the bottom line; specify off if you do not want the VT emulator to use the bottom line. If you specify on, set the termcap or terminfo for your VT terminal to 25 lines.

Default: off


Specifies an alternative VT100 identifier for Telnet to use when synchronizing with the remote host for a terminal type. If the terminal information database on the remote host does not contain RFC-standard identifiers, use this parameter to specify an identifier that does exist in the remote hosts database. If you are unsure how to get this information, ask the administrator of the remote system.


Specifies an alternative VT220 identifier for tn to use when synchronizing with the remote host for a terminal type. If the terminal information database on the remote host does not contain RFC-standard identifiers, this parameter lets you specify an identifier that does exist in the remote hosts database. If you are unsure how to get this information, ask the administrator of the remote system.


Screen Attributes

Set or change the settings of parameters that apply to the display when you are using the DOS tn program.

To set a screen attribute parameter

Select the parameter from the list box at the top of the dialog box and set its value in the box at the bottom of the dialog box.

To view help for a parameter, select it from this list:

Color and display characteristics

Display remapping filename

Video card

Related Topics

Terminal Emulation Parameters

Additional Telnet Parameters

3270 Parameters

Additional 3270 Parameters

VT Parameters

Additional VT Parameters


Specifies basic screen colors and display characteristics for DEC VT and IBM 3270 terminal emulation. Specify each value in decimal, hexadecimal, or octal format; and use commas to separate values. Type a 0 to accept the default for a value. This parameter can have either three or six values. If you plan to use only VT emulation, you can specify only the first three values.


Specifies the drive, directory, and filename of an alternative display mapping file. Normally, all characters sent to the screen during terminal emulation are mapped through a binary table that contains one-to-one mappings of characters received to characters displayed. To override the default display mappings, you can customize a copy of the default table and specify its name in this parameter.


Specifies the type of video card installed on your system. Certain programs, including rloginvt, setcolor, supdup, tn, and vmail, may require this information to work properly. Possible type keywords are as follows:

    This keyword	Indicates this

    autodetect	OnNet16 should determine the card type automatically.

    vesa	The card is a SuperVGA type that complies with the Video Electronics Standard Association (VESA) standard and supports 132-column text mode.

    vga	The card is a VGA type with nonstandard features that  the terminal emulation programs do not support. In this case, the software makes only standard VGA calls to the underlying interface. You might need to specify the VGA keyword if autodetection stops (or freezes) your program.

    xga	The card type is an IBM XGA adapter. An XGA driver must be loaded for this option to work.

Note:   If you do not specify this parameter and you have a VGA card installed, OnNet16 determines whether or not your card is a SuperVGA type and tests your system for VESA support.

If OnNet16 does not find VESA support, it sets the card type to VGA. The VGA card type does not support 132-column mode. If you have a card that worked previously with an FTP Software terminal emulator in 132-column mode, set this parameter to autodetect to solve this problem.

Default: vesa


Technical assistance

Users in the U.S. and Canada, and worldwide resellers, contact FTP Software®:

Telephone:	(800) 382-4387

(508) 685-3600

E-mail:	support@ftp.com

Fax:	(508) 794-4484

 or

Users outside of the U.S. and Canada, contact your local reseller.

Tip

For FREE online technical services, see:

World Wide Web:	http://www.ftp.com

Anonymous Ftp Server:	ftp.ftp.com

Bulletin Board System:	(508) 684-6240 ( settings  8,N,1)

CompuServe:	GO FTPSOFT (PCVENJ Section 8)